<?php
/**
 * SpAdministrator Model
 *
 * PHP versions 5
 *
 * @copyright     Copyright (c) 2011 - 2012, National Institute of Informatics,
 * @license       BSD License (http://creativecommons.org/licenses/BSD/)
 */
class SpAdministrator extends AppModel {
	var $name = 'SpAdministrator';

	/**
	 * SPの管理者ePPN一覧を取得する
	 * @param $entityid entityid
	 */
	function getEppnList($entityid) {
		$list = $this->find('list', array(
				'fields' => array('eppn','eppn'),
				'conditions' => array('entityid' => $entityid)));
		if (empty($list)) {
			return '';
		}
		return $list;
	}
}
?>
