<?php
/**
 * SpconnectorKind Model
 *
 * PHP versions 5
 *
 * @copyright     Copyright (c) 2011 - 2012, National Institute of Informatics,
 * @license       BSD License (http://creativecommons.org/licenses/BSD/)
 */
class SpconnectorKind extends AppModel{
	var $name = 'SpconnectorKind';


	/**
	 * 該当する色を取得する
	 * @param $spcid
	 */
	function findColorBySpcId($spcid) {
		$entity = $this->find('first', array('conditions' => array('spcid' => $spcid)));
		if (empty($entity)) {
			return "#ffffff";
		}

		if (empty($entity['SpconnectorKind']['color'])) {
			return "#ffffff";
		}

		return $entity['SpconnectorKind']['color'];
	}
}
?>
