<?php $_group_id = $this->data['ManageAgreement']['id'] ?>
<article class="col span_24">
<?php echo $this->element("article") ?>

<style>
article, aside {
	padding-bottom: 0px !important;
	margin-left: 5px !important;
}
</style>

<div class="tab_frame" style="margin-top:8px;">
	<ul class="tabs">
		<div class="contents"></div>
		<?php foreach ($top5GroupIdList as $id => $name) :?>
			<?php if ($id == $selfGroupId): ?>
			<li>
				<label class="current"><?php echo $name; ?></label>
			</li>
			<?php else: ?>
			<li style="margin-left:5px;">
				<label><a href="./<?php echo $id; ?>"><?php echo $name; ?></a></label>
			</li>
			<?php endif; ?>
		<?php endforeach; ?>
			<?php
echo $this->element ( "other_mygroups", $this->requestAction ( '/menus/other_mygroups/' . $selfGroupId, array("actionName" => $this->params['action'] . '/1') ) );
			?>
	</ul>
</div>

</article>

<?php echo $this->element("aside", array('span' => 6, 'action' => '/menus/left/'.$_group_id.'/agreement')) ?>
<article class="col span_17">
<h3><?php echo h(sprintf('%s > %s', $this->element('group_name', array('group_id' => $_group_id)), __("common.use.atribute.agree", true))) ?></h3>


<div id="contents">
<div class="group">
	<?php echo $form->hidden('group_id', array('value'=> $this->data['ManageAgreement']['id']))?>
	<?php echo $form->hidden('page', array('value'=> $page))?>

	<div><?php echo __("manage_agreements.state.description", true); ?></div>
	<?php if (!empty($accountList)): ?>
	<div class="page page-top">
		<?php if ($prev): ?>
			<?php echo $html->link(__("common.prev", true), '/admin/manage_agreements/state/'.($page - 1).'/'.$this->data['ManageAgreement']['id'], array('class' => 'page')); ?>
		<?php else: ?>
			<span class="page"><?php echo __("common.prev", true) ?></span>
		<?php endif; ?>
		　　　
		<?php if ($next): ?>
			<?php echo $html->link(__("common.next", true), '/admin/manage_agreements/state/'.($page + 1).'/'.$this->data['ManageAgreement']['id'], array('class' => 'page')); ?>
		<?php else: ?>
			<span class="page"><?php echo __("common.next", true) ?></span>
		<?php endif; ?>
	</div>
	<?php else: ?>
		<div style="padding-top:20px;">
			<?php if ($isIdPGroup): ?>
				<?php echo __("manage_agreements.not.shown.at.idpgroup", true) ?>
			<?php else: ?>
				<?php echo __("manage_agreements.no.information", true) ?>
			<?php endif; ?>
		</div>
	<?php endif; ?>

	<div>
		<table class=group_width>
		<?php foreach ($accountList as $account): ?>
			<?php $color = ''; ?>
			<?php if ($account['needAgreement']): ?>
				<?php $color = 'color:red;'; ?>
			<?php endif; ?>
		<tr>
			<td style="width:180px;">
				<?php if ($account['Account']['name'] === 'Secret'
					&& $account['Account']['university'] === 'Inviting') : ?>
					<div style="<?php e($color) ?>"><?php echo h($account['Account']['mail']) ?></div>
				<?php else: ?>
					<div style="<?php e($color) ?>"><?php echo h($account['Account']['name'].$account['Account']['name_en']) ?></div>
				<?php endif; ?>
				<?php if ($account['entrustment']): ?>
					<div style="<?php e($color) ?>"><?php echo __("manage_agreements.state.delegating") ?></div>
				<?php endif; ?>
			</td>
			<td>
				<table width="100%">
				<tr>
					<td class="strong" style="<?php e($color) ?>"><?php __("group_lists.service.name") ?></td>
					<td class="strong" style="<?php e($color) ?>"><?php __('common.group.id') ?></td>
					<td class="strong" style="<?php e($color) ?>"><?php __('common.eptid') ?></td>
					<td class="strong" style="<?php e($color) ?>"><?php __('common.name') ?></td>
					<td class="strong" style="<?php e($color) ?>"><?php __('common.mailaddress') ?></td>
					<td class="strong" style="<?php e($color) ?>"><?php __('common.eppn') ?></td>
				</tr>
				<?php foreach ($account['Account']['agreement_list'] as $agree): ?>
				<tr>
					<td>
						<div>
						<?php foreach ($agree['spc_service_name_list'] as $name): ?>
							<div style="<?php e($color) ?>"><?php echo h($name) ?></div>
						<?php endforeach; ?>
						</div>
					</td>
					<td>
						<div>
						<?php // 自分が下位グループでも上位グループでも ?>
						<?php if (isset($agree['admin_only'])): // 管理者権限のみ ?>
							<?php echo '' ?>
						<?php else: ?>
							<?php $ok = true; ?>
							<?php foreach ($agree['top_group_name_list'] as $key => $value): ?>
								<?php if (!isset($agree['top_group_select_id_list'][$key])): ?>
									<?php $ok = false; ?>
								<?php endif; ?>
							<?php endforeach; ?>
							<?php if ($ok): ?>
								<?php echo '○' ?>
							<?php else: ?>
								<?php echo '×' ?>
							<?php endif; ?>
						<?php endif; ?>
						</div>
					</td>
 					<td>
						<div>
						<?php if (isset($agree['eptid']) && $agree['eptid']): ?>
							<?php echo '○' ?>
						<?php elseif (isset($agree['eptid']) && !$agree['eptid']): ?>
							<?php echo '×' ?>
						<?php endif; ?>
						</div>
 					</td>
 					<td>
						<div>
						<?php if (isset($agree['name']) && $agree['name']): ?>
							<?php echo '○' ?>
						<?php elseif (isset($agree['name']) && !$agree['name']): ?>
							<?php echo '×' ?>
						<?php endif; ?>
						</div>
					</td>
					<td>
						<div>
						<?php if (isset($agree['mail']) && $agree['mail']): ?>
							<?php echo '○' ?>
						<?php elseif (isset($agree['mail']) && !$agree['mail']): ?>
							<?php echo '×' ?>
						<?php endif; ?>
						</div>
 					</td>
					<td>
						<div>
						<?php if (isset($agree['eppn']) && $agree['eppn']): ?>
							<?php echo '○' ?>
						<?php elseif (isset($agree['eppn']) && !$agree['eppn']): ?>
							<?php echo '×' ?>
						<?php endif; ?>
						</div>
 					</td>
				</tr>
				<?php endforeach; ?>
				</table>
 			</td>
		</tr>
		<?php endforeach; ?>
		</table>
	</div>

	<?php if (!empty($accountList)): ?>
	<div class="page page-bottom">
		<?php if ($prev): ?>
			<?php echo $html->link(__("common.prev", true), '/admin/manage_agreements/state/'.($page - 1).'/'.$this->data['ManageAgreement']['id'], array('class' => 'page')); ?>
		<?php else: ?>
			<span class="page"><?php echo __("common.prev", true) ?></span>
		<?php endif; ?>
		　　　
		<?php if ($next): ?>
			<?php echo $html->link(__("common.next", true), '/admin/manage_agreements/state/'.($page + 1).'/'.$this->data['ManageAgreement']['id'], array('class' => 'page')); ?>
		<?php else: ?>
			<span class="page"><?php echo __("common.next", true) ?></span>
		<?php endif; ?>
	</div>
	<?php endif; ?>
</div>
</div>

        </article>
