<?php $_group_id = $this->data['ManageGroup']['id'] ?>
<?php echo $this->element("aside", array('span' => 6, 'action' => '/menus/left/'.$_group_id.'/updown_up_sp')) ?>
<article class="col span_18">
<?php echo $this->element("article") ?>
<?php $titles = array(__("manage_groups.add.up", true)) ?>
<h3><?php echo h(sprintf('%s > %s', $this->element('group_name', array('group_id' => $_group_id)), __("manage_groups.add.up", true))) ?></h3>


<?php echo $form->create('ManageGroup', array('action' => 'add_up_group_save')); ?>
<?php echo $form->hidden('selectedGroup'); ?>
<?php echo $form->hidden('selectedSpc'); ?>
<?php echo $form->hidden('spc'); ?>

<div id="contents">
	<div class="group">
		<div><?php echo __("manage_groups.add.up.group.agreement.description", true) ?></div>
		<div style="padding-bottom:20px;"></div>

		<?php foreach ($provideAttributeList as $agreement): ?>
		<table class="input group_width" style="padding-bottom:10px;">
		<tr>
			<th colspan="2">
				<?php // foreach ($agreement['spc_service_name_list'] as $serviceName): ?>
					<div><?php // echo h($serviceName); ?></div>
				<?php // endforeach; ?>
			</th>
		</tr>
		<tr>
			<td style="width:16em;vertical-align:bottom;"><?php echo __("common.sp.service.name", true) ?></td>
			<td>
				<span>
					<?php echo $this->element('images_sp_group',
							array('groupid' => $agreement['ProvideAttribute']['group_id'], 'width' => 32, 'height' => 32, 'spcIcon' => $agreement['spc_icon'])) ?>
				</span>
				<?php if (!empty($agreement['ProvideAttribute']['spc_name'])): ?>
					<?php echo $html->link($agreement['ProvideAttribute']['spc_name'],
						'/sp_groups/detail/'.$agreement['ProvideAttribute']['group_id'], array('target' => '_blank')); ?>
				<?php else: ?>
					<?php echo $html->link($agreement['ProvideAttribute']['spc_name_en'],
						'/sp_groups/detail/'.$agreement['ProvideAttribute']['group_id'], array('target' => '_blank')); ?>
				<?php endif; ?>
			</td>
		</tr>
		<?php if ($agreement['ProvideAttribute']['ismemberof']): ?>
		<tr>
			<td>
				<?php
				echo $form->input('ismemberof'.$agreement['ProvideAttribute']['group_id'],
						array('options' => array('1' => __("common.group.id", true)),
						'multiple'=> 'checkbox', 'type' => 'select', 'label' => false));
				?>
			</td>
			<td><?php echo __("common.group.id.use", true) ?></td>
		</tr>
		<?php endif; ?>

		<?php if ($agreement['ProvideAttribute']['eptid']): ?>
		<tr>
			<td>
				<?php
				echo $form->input('eptid'.$agreement['ProvideAttribute']['group_id'],
						array('options' => array('1' => __("common.eptid", true)),
						'multiple'=> 'checkbox', 'type' => 'select', 'label' => false));
				?>
			</td>
			<td><?php echo __("common.eptid.use", true) ?></td>
		</tr>
		<?php endif; ?>

		<?php if ($agreement['ProvideAttribute']['name']): ?>
		<tr>
			<td>
				<?php
				echo $form->input('name'.$agreement['ProvideAttribute']['group_id'],
						array('options' => array('1' => __("common.name", true)),
						'multiple'=> 'checkbox', 'type' => 'select', 'label' => false));
				?>
			</td>
			<td><?php echo __("common.name.use", true) ?></td>
		</tr>
		<?php endif; ?>

		<?php if ($agreement['ProvideAttribute']['mail']): ?>
		<tr>
			<td>
				<?php
				echo $form->input('mail'.$agreement['ProvideAttribute']['group_id'],
						array('options' => array('1' => __("common.mailaddress", true)),
						'multiple'=> 'checkbox', 'type' => 'select', 'label' => false));
				?>
			</td>
			<td><?php echo __("common.mailaddress.use", true) ?></td>
		</tr>
		<?php endif; ?>

		<?php if ($agreement['ProvideAttribute']['eppn']): ?>
		<tr>
			<td>
				<?php
				echo $form->input('eppn'.$agreement['ProvideAttribute']['group_id'],
						array('options' => array('1' => __("common.eppn", true)),
						'multiple'=> 'checkbox', 'type' => 'select', 'label' => false));
				?>
			</td>
			<td><?php echo __("common.eppn.use", true) ?></td>
		</tr>
		<?php endif; ?>

		<?php if ($agreement['ProvideAttribute']['organization']): ?>
		<tr>
			<td>
				<?php
				echo $form->input('organization'.$agreement['ProvideAttribute']['group_id'],
						array('options' => array('1' => __("common.affiliation", true)),
						'multiple'=> 'checkbox', 'type' => 'select', 'label' => false));
				?>
			</td>
			<td><?php echo __("common.mailaddress.use", true) ?></td>
		</tr>
		<?php endif; ?>

		<?php if ($agreement['ProvideAttribute']['idp']): ?>
		<tr>
			<td>
				<?php
				echo $form->input('idp'.$agreement['ProvideAttribute']['group_id'],
						array('options' => array('1' => __("common.affiliation.idp", true)),
						'multiple'=> 'checkbox', 'type' => 'select', 'label' => false));
				?>
			</td>
			<td><?php echo __("common.affiliation.idp.use", true) ?></td>
		</tr>
		<?php endif; ?>

		<?php if ($agreement['ProvideAttribute']['language']): ?>
		<tr>
			<td>
				<?php
				echo $form->input('language'.$agreement['ProvideAttribute']['group_id'],
						array('options' => array('1' => __("common.language", true)),
						'multiple'=> 'checkbox', 'type' => 'select', 'label' => false));
				?>
			</td>
			<td><?php echo __("common.language.use", true) ?></td>
		</tr>
		<?php endif; ?>

		<?php if ($agreement['ProvideAttribute']['introduction']): ?>
		<tr>
			<td>
				<?php
				echo $form->input('introduction'.$agreement['ProvideAttribute']['group_id'],
						array('options' => array('1' => __("common.my.introduction", true)),
						'multiple'=> 'checkbox', 'type' => 'select', 'label' => false));
				?>
			</td>
			<td><?php echo __("common.my.introduction.use", true) ?></td>
		</tr>
		<?php endif; ?>

		<?php if (!$agreement['ProvideAttribute']['ismemberof']
			&& !$agreement['ProvideAttribute']['eptid']
			&& !$agreement['ProvideAttribute']['name']
			&& !$agreement['ProvideAttribute']['mail']
			&& !$agreement['ProvideAttribute']['idp']
			&& !$agreement['ProvideAttribute']['language']
			&& !$agreement['ProvideAttribute']['introduction']): ?>
		<tr>
			<td colspan="2"><?php echo __("manage_groups.add.up.group.agreement.no_attributes", true) ?></td>
		</tr>
		<?php endif; ?>

		</table>
		<?php endforeach; ?>

		<div class="submitArea">
			<?php e($form->submit(__("common.connect", true), array('name' => 'save', 'div'=> false, 'class' => 'submitBtn'))); ?>
			<?php e($form->submit(__("common.cancel", true), array('name' => 'cancel', 'div'=> false, 'class' => 'resetBtn'))); ?>
		</div>
	</div>
</div>

<?php echo $form->end(); ?>


		</article>

