<?php $_group_id = $ManageGroup['ManageGroup']['id'] ?>
<?php $_group = $this->requestAction('menus/groupName/'.$_group_id); ?>
<?php $less = $this->data['ManageGroup']['forcibleAdmission']; ?>
<?php if ($less): ?>
	<?php $pageText = __("manage_groups.confirmation.less", true); ?>
<?php else: ?>
	<?php $pageText = ($this->data['ManageGroup']['sp']) ? __("manage_groups.confirmation.admin", true) : __("manage_groups.confirmation", true); ?>
<?php endif; ?>
<?php $titles = array($this->element('group_name', array('group_id' => $_group_id)), $pageText) ?>

<?php if ($this->data['ManageGroup']['sp']): ?>

<?php echo $this->element("aside", array('span' => 6, 'action' => '/menus/left/'.$_group_id.'/invite')) ?>
<article class="col span_18">
<?php echo $this->element("article") ?>

<?php else: ?>

<article class="col span_24">
<?php echo $this->element("article") ?>

<style>
article, aside {
	padding-bottom: 0px !important;
	margin-left: 5px !important;
}
</style>

<div class="tab_frame" style="margin-top:8px;">
	<ul class="tabs">
		<div class="contents"></div>
		<?php foreach ($top5GroupIdList as $id => $name) :?>
			<?php if ($id == $selfGroupId): ?>
			<li>
				<label class="current"><?php echo $name; ?></label>
			</li>
			<?php else: ?>
			<li style="margin-left:5px;">
				<label><a href="./<?php echo $id; ?>"><?php echo $name; ?></a></label>
			</li>
			<?php endif; ?>
		<?php endforeach; ?>
			<?php
echo $this->element ( "other_mygroups", $this->requestAction ( '/menus/other_mygroups/' . $selfGroupId, array("actionName" => $this->params['action']) ) );
			?>
	</ul>
</div>

</article>

<?php echo $this->element("aside", array('span' => 6, 'action' => '/menus/left/'.$_group_id.'/invite')) ?>
<article class="col span_17">

<?php endif ?>

<h3><?php echo h(implode(' > ', $titles)) ?></h3>



<?php echo $form->create('ManageGroup', array('action' => 'confirm/')); ?>
<?php echo $form->hidden('sp', array('value'=> $this->data['ManageGroup']['sp'])); ?>
<?php echo $form->hidden('defaultLang', array('value'=> $this->data['ManageGroup']['defaultLang'])); ?>
<?php echo $form->hidden('UserName', array('value'=> $this->data['ManageGroup']['UserName'])); ?>
<?php echo $form->hidden('jaTemplate', array('value'=> $this->data['ManageGroup']['jaTemplate'])); ?>
<?php echo $form->hidden('engTemplate', array('value'=> $this->data['ManageGroup']['engTemplate'])); ?>
<?php echo $form->hidden('addedIdList', array('id' => 'addedIdList')); ?>
<?php echo $form->hidden('addedNameList', array('id' => 'addedNameList')); ?>

<?php
if ($this->data['ManageGroup']['defaultLang'] === 'ja') {
	$name = __("common.group.ja", true);
	if ($this->data['ManageGroup']['sp'])
		$name = __("common.sp.ja", true);
} else {
	$name = __("common.group.eng", true);
	if ($this->data['ManageGroup']['sp'])
		$name = __("common.sp.eng", true);
}
?>

<style>
table.not_agreed td {
	padding: 5px;
	vertical-align: middle;
}
table.not_agreed td.member {
	text-align: center;
	width: 30%;
}
table.not_agreed {
	margin-bottom: 2em;
}
/*SPhone*/
@media only screen and (max-width: 768px) {
	table.not_agreed td.member {
		width: auto;
	}
}
</style>

		<?php if ($notAgreedMemberIds): ?>
		<p><?php echo __("manage_groups.not.agree.mail", true) ?></p>
		<table class="form not_agreed">
		<?php   foreach ($notAgreedMemberIds as $memberId): ?>
			<tr>
				<td class="member"><?php echo $addMemberNameList[$memberId] ?></td>
				<td><?php echo $form->input('ManageGroup.adminInput.'.$memberId, array('label' => false, 'div' => false, 'value' => '')) ?></td>
			</tr>
		<?php   endforeach; ?>
		</table>
		<?php endif; ?>
		<span class="title" style="color:red;font-size:120%;"><?php echo __("manage_groups.invite.confirmation", true) ?></span>

		<?php if ($less): ?>
			<?php echo $form->hidden('forcibleAdmission', array('value' => '1')); ?>
		<?php endif; ?>
		<?php if ($this->data['ManageGroup']['sp']): ?>
			<?php echo $form->hidden('mailaddress_ml', array('value'=> $ManageGroup['ManageGroup']['mailaddress_ml'])); ?>
		<?php endif; ?>

		<table class="form">
			<tr>
				<th><?php echo ($less) ? __("manage_groups.invite.less.address.person", true) : __("manage_groups.invite.address.person", true); ?></th>
				<td><?php echo nl2br($ManageGroup['ManageGroup']['mailaddress']) ?>
				<?php echo $form->hidden('mailaddress', array('value'=> $ManageGroup['ManageGroup']['mailaddress'])); ?>
				</td>
			</tr>
			<?php if (!$this->data['ManageGroup']['sp'] && !$less): ?>
			<tr>
				<th><?php echo __("manage_groups.invite.address.ml", true) ?></th>
				<td><?php echo nl2br($ManageGroup['ManageGroup']['mailaddress_ml']) ?>
				<?php echo $form->hidden('mailaddress_ml', array('value'=> $ManageGroup['ManageGroup']['mailaddress_ml'])); ?>
				</td>
			</tr>
			<?php endif; ?>
			<tr>
				<th><?php echo ($less) ? __("manage_groups.invite.less.member", true) : __("manage_groups.invite.member", true); ?></th>
				<td>
					<?php if ($addMemberList): ?>
					<?php   foreach($addMemberList as $memberId): ?>
						<?php echo h($addMemberNameList[$memberId]) ?><br/>
					<?php   endforeach; ?>
					<input type="hidden" name="data[ManageGroup][addMemberIdList]" value="<?php echo h(implode(',', $addMemberList)) ?>" />
					<?php endif; ?>
				</td>
			</tr>

			<tr>
				<th colspan="2"><?php echo ($less) ? __("manage_groups.invite.less.text", true) : __("manage_groups.invite.text", true); ?></th>
			</tr>
			<tr>
				<td colspan="2"><?php echo nl2br(h($ManageGroup['ManageGroup']['introduction'])) ?>
					<?php echo $form->hidden('introduction', array('value'=> $ManageGroup['ManageGroup']['introduction'])); ?>
					<br/><br/>
					<?php if ($this->data['ManageGroup']['defaultLang'] === 'ja'): ?>
						<?php $group_join_title = ($less) ? __("manage_groups.invite.top.url.ja", true) :
											sprintf(__("manage_groups.invite.join.url.ja", true), $name) ?>
					<?php else: ?>
						<?php $group_join_title = ($less) ? __("manage_groups.invite.top.url.eng", true) :
											sprintf(__("manage_groups.invite.join.url.eng", true), $name) ?>
					<?php endif; ?>
					<?php echo h(sprintf("<%s>", $group_join_title)) ?><br/>
					<?php echo $form->hidden('introductionUrl', array('value'=> $ManageGroup['ManageGroup']['introductionUrl'])); ?>
					<?php echo $ManageGroup['ManageGroup']['introductionUrl']; ?>
				</td>
			</tr>
		</table>
		<div style="padding-top:10px;color:red;">
			<?php if ($less): ?>
				<?php echo __("manage_groups.invite.less.notice.replyto", true) ?> <br/>
			<?php else: ?>
				<?php echo __("manage_groups.invite.notice.join", true) ?> <br/>
				<?php echo __("manage_groups.invite.notice.replyto", true) ?> <br/>
			<?php endif; ?>
		</div>

		<div class="submitArea">
			<?php e($form->submit(__("common.send.mail", true), array('name' => 'send', 'div'=> false, 'class' => 'submitBtn'))); ?>
			<?php e($form->submit(__("common.back", true), array('name' => 'back', 'div'=> false, 'class' => 'resetBtn'))); ?>
		</div>

<?php echo $form->end(); ?>

		</article>

