<?php $_group_id = $ManageGroup['ManageGroup']['id'] ?>
<article class="col span_24">
<?php echo $this->element("article") ?>

<style>
article, aside {
	padding-bottom: 0px !important;
	margin-left: 5px !important;
}
</style>

<div class="tab_frame" style="margin-top:8px;">
	<ul class="tabs">
		<div class="contents"></div>
		<?php foreach ($top5GroupIdList as $id => $name) :?>
			<?php if ($id == $selfGroupId): ?>
			<li>
				<label class="current"><?php echo $name; ?></label>
			</li>
			<?php else: ?>
			<li style="margin-left:5px;">
				<label><a href="./<?php echo $id; ?>"><?php echo $name; ?></a></label>
			</li>
			<?php endif; ?>
		<?php endforeach; ?>
			<?php
echo $this->element ( "other_mygroups", $this->requestAction ( '/menus/other_mygroups/' . $selfGroupId, array("actionName" => $this->params['action']) ) );
			?>
	</ul>
</div>

</article>

<?php echo $this->element("aside", array('span' => 6, 'action' => '/menus/left/'.$_group_id.'/updown')) ?>
<article class="col span_17">
<h3><?php echo h(sprintf('%s > %s', $this->element('group_name', array('group_id' => $_group_id)), __("left.menu.connect", true))) ?></h3>


	<?php if (!empty($topGroups)): ?>
		<div><?php echo __("manage_groups.use.service.description", true) ?></div>
	<?php else: ?>
		<div><?php echo __("agreements.index.no.sp", true) ?></div>
	<?php endif; ?>

	<?php if (!empty($topGroups)): ?>
	<table>
		<tr>
			<th><?php echo __("common.sp.service.name", true) ?></th>
			<th colspan="2"><?php echo __("manage_groups.action", true) ?></th>
		</tr>
	<?php foreach ($topGroups as $group): ?>
			<tr>
				<td>
					<span>
						<?php echo $this->element('images_sp_group',
								array('groupid' => $group['Group']['id'], 'width' => 32, 'height' => 32,
									'spcIcon' => $group['Group']['spc_icon'])) ?>
					</span>
					<?php echo $html->link($group['Group']['name'], '/sp_groups/detail/'.$group['Group']['id']); ?>
					<?php if ($group['Group']['active'] == 1): // 休止中 ?>
						<span style="color:red">[<?php echo __("common.status.inactive", true) ?>]</span>
					<?php endif; ?>
				</td>
				<td>
					<?php if (!empty($group['Group']['extended'])): ?>
						<?php $url = '/admin/manage_groups/extended/'.$group['Group']['id'].'/'.$ManageGroup['ManageGroup']['id'] ?>
						<?php echo $html->link(__("manage_groups.extended", true), $url, array()); ?>
						<br>
					<?php endif; ?>
					<?php $url = '/admin/manage_groups/delete_connection_sp/up/'.$group['Group']['id'].'/'.$ManageGroup['ManageGroup']['id'] ?>
					<?php echo $html->link(__("manage_groups.connect.del", true), $url, array(), 'Are you sure?', true); ?>
				</td>
			</tr>
	<?php endforeach; ?>
	</table>
	<?php endif; ?>

	<div style="margin-top:10px;padding-bottom:20px;">
		<?php echo $form->create('ManageGroup', array('action' => 'add_up_sp/'.$ManageGroup['ManageGroup']['id'])); ?>
		<?php e($form->submit(__("manage_groups.add.up.sp", true), array('name' => 'add', 'div'=> false, 'class' => 'submitBtn'))); ?>
		<?php echo $form->end(); ?>
	</div>

        </article>
