<?php $_group_id = $ManageInspect['ManageInspect']['groupid'] ?>
<article class="col span_24">
<?php echo $this->element("article") ?>
<?php $titles = array($this->element('group_name', array('group_id' => $_group_id)), __("left.menu.inspect.history", true)) ?>

<style>
article, aside {
	padding-bottom: 0px !important;
	margin-left: 5px !important;
}
</style>

<div class="tab_frame" style="margin-top:8px;">
	<ul class="tabs">
		<div class="contents"></div>
		<?php foreach ($top5GroupIdList as $id => $name) :?>
			<?php if ($id == $selfGroupId): ?>
			<li>
				<label class="current"><?php echo $name; ?></label>
			</li>
			<?php else: ?>
			<li style="margin-left:5px;">
				<label><a href="./<?php echo $id; ?>"><?php echo $name; ?></a></label>
			</li>
			<?php endif; ?>
		<?php endforeach; ?>
			<?php
echo $this->element ( "other_mygroups", $this->requestAction ( '/menus/other_mygroups/' . $selfGroupId, array("actionName" => $this->params['action'] . '/1') ) );
			?>
	</ul>
</div>

</article>

<?php echo $this->element("aside", array('span' => 6, 'action' => '/menus/left/'.$_group_id.'/inspect_history')) ?>
<article class="col span_17">
<h3><?php echo h(implode(' > ', $titles)) ?></h3>


<?php echo $form->create('ManageInspect', array('action' => "join")); ?>
<?php echo $form->hidden('page', array('value'=> $this->data['ManageInspect']['page']))?>
<div id="contents">
	<div class="group">
		<?php if (!$sp): ?>
			<?php echo __("manage_inspects.history.message", true); ?>
		<?php else: ?>
			<?php echo __("manage_inspects.history.sp.message", true); ?>
		<?php endif; ?>
		<br/>

		<?php if (!empty($users)): ?>
			<div class="page page-top">
			<?php if ($prev): ?>
				<?php echo $html->link(__("common.prev", true), '/admin/manage_inspects/history/'.($this->data['ManageInspect']['page'] - 1).'/'.$this->data['ManageInspect']['groupid'], array('class' => 'page')); ?>
			<?php else: ?>
				<span class="page"><?php echo __("common.prev", true) ?></span>
			<?php endif; ?>
			　　　
			<?php if ($next): ?>
				<?php echo $html->link(__("common.next", true), '/admin/manage_inspects/history/'.($this->data['ManageInspect']['page'] + 1).'/'.$this->data['ManageInspect']['groupid'], array('class' => 'page')); ?>
			<?php else: ?>
				<span class="page"><?php echo __("common.next", true) ?></span>
			<?php endif; ?>
			</div>
		<?php endif; ?>

		<?php if (empty($users)): ?>
			<br/>
			<span class="strong"><?php echo __("manage_inspects.history.no.data", true); ?></span>
		<?php else: ?>
		<table class="group_width">
			<tr>
				<th class="list_title name">
					<?php echo __("common.name", true) ?>&nbsp;(<?php echo __("common.affiliation", true) ?>)
				</th>
				<th class="list_title intro"><?php echo __("common.introduction", true) ?></th>
				<th class="list_title"><?php echo __("common.join", true) ?> / <?php echo __("common.quit", true) ?></th>
				<th class="list_title"><?php echo __("manage_inspects.examination.result", true) ?></th>
			</tr>

	        <?php foreach ($users as $user): ?>
	        <tr class="list_detail">
	                <td>
	                    <?php echo h($user['ManageInspect']['name']); ?><br/>
	                    <?php if (!empty($user['ManageInspect']['university']) && $user['ManageInspect']['university'] != '-'): ?>
		                    (<?php echo h($user['ManageInspect']['university']); ?>)
		                <?php endif; ?>
	                </td>
	                <td>
	                    <?php echo h($user['ManageInspect']['introduction']); ?>
	                </td>
					<td>
						<?php if ($user['ManageInspect']['kind'] == 0): ?>
							<?php echo __("common.join", true) ?>
						<?php else: ?>
							<?php echo __("common.quit", true) ?>
						<?php endif; ?>
					</td>
					<td>
						<?php if ($user['ManageInspect']['result'] === "approval"): ?>
							<?php echo __("manage_inspects.status.approval", true) ?>
						<?php elseif ($user['ManageInspect']['result'] === "rejection"): ?>
							<?php echo __("manage_inspects.status.rejection", true) ?>
						<?php else: ?>
							<span> - </span>
						<?php endif; ?>
					</td>
	        </tr>
	        <tr style="border-bottom: 2px #C0C0C0 solid;">
	        	<td class="list_detail_end" colspan="4">
	        	<span class="weak"><?php echo __("manage_inspects.processing.time", true) ?><?php echo $user['ManageInspect']['modified']; ?></span>
	        	<span class="weak" style="margin-left:65px;"><?php echo __("manage_inspects.time", true) ?><?php echo $user['ManageInspect']['created']; ?></span>
	        	<span class="weak" style="margin-left:35px;">
				IdP : <?php echo $user['ManageInspect']['idp']; ?>
				</span>
	        	</td>
	        </tr>
	        <?php endforeach; ?>
		</table>
		<?php endif; ?>

		<?php if (!empty($users)): ?>
			<div class="page page-bottom">
			<?php if ($prev): ?>
				<?php echo $html->link(__("common.prev", true), '/admin/manage_inspects/history/'.($this->data['ManageInspect']['page'] - 1).'/'.$this->data['ManageInspect']['groupid'], array('class' => 'page')); ?>
			<?php else: ?>
				<span class="page"><?php echo __("common.prev", true) ?></span>
			<?php endif; ?>
			　　　
			<?php if ($next): ?>
				<?php echo $html->link(__("common.next", true), '/admin/manage_inspects/history/'.($this->data['ManageInspect']['page'] + 1).'/'.$this->data['ManageInspect']['groupid'], array('class' => 'page')); ?>
			<?php else: ?>
				<span class="page"><?php echo __("common.next", true) ?></span>
			<?php endif; ?>
			</div>
		<?php endif; ?>
	</div>
</div>

<?php echo $form->end(); ?>

        </article>
