<?php /* Modified by SOUM Corporation, 2016 */ ?>

<?php $_group_id = $this->data['ManageSpGroup']['id'] ?>
<?php echo $this->element("aside", array('span' => 6, 'action' => '/menus/left/'.$_group_id.'/edit')) ?>
<article class="col span_18">
<?php echo $this->element("article") ?>
<?php $titles = array($this->element('group_name', array('group_id' => $_group_id)), __("left.menu.sp.edit", true)) ?>
<h3><?php echo h(implode(' > ', $titles)) ?></h3>

<?php echo $form->create('ManageSpGroup', array('action' => 'edit/', 'name' => 'GroupForm', 'type' => 'file')); ?>
<?php echo $form->input('id', array('type'=>'hidden')); ?>

<style type="text/css">
<!--
#ManageSpGroupSpType1,#ManageSpGroupSpType2,#ManageSpGroupSpType3,#ManageSpGroupSpType4,#ManageSpGroupSpType5 {
	margin-left: 5px;
}
</style>

<script type="text/javascript">
$(function() {
	$(function() {
		// SPタイプの表示非表示
		$( 'input[name="data[ManageSpGroup][sp_type]"]:radio' ).change( function() {  
			if ($(this).val() == 3) {
				$('.non_map_link').show();
			} else {
				$('.non_map_link').hide();
			}
		});
		val = $('input[name="data[ManageSpGroup][sp_type]"]:checked').val();
		if (val == 3) {
			$('.non_map_link').show();
		} else {
			$('.non_map_link').hide();
		}
	});
});
</script>

<?php echo $this->element('add_tag_script'); ?>

<?php echo $this->element('extended_script'); ?>

<table class="form">
	<tr>
		<th><?php echo __("common.sp.id", true) ?></th>
		<td>
			<?php echo $this->data['ManageSpGroup']['group_key'] ?>
		</td>
	</tr>
	<tr>
		<th><?php echo __("common.sp.name", true) ?></th>
		<td>
			<div id="name_ja">
					<?php echo $form->input('name',
						array('label' => false, 'div' => false, 'size' => 80,
								'id' => 'name_input_ja')); ?>
			</div>
		</td>
	</tr>
	<tr>
		<th><?php echo __("common.introduction", true) ?><span class="required"><?php __('common.form.required') ?></span></th>
		<td>
			<div id="introduction_ja">
				<?php echo $form->input('introduction', array(
						'rows' => '8', 'cols' => '55', 'label' => false, 'id' => 'introduction_input_ja')); ?>
			</div>
		</td>
	</tr>

	<?php //SPタイプ ?>
	<tr>
		<th>
			<?php __('sp_groups.sptype.name') ?>
			<span class="required"><?php __('common.form.required') ?></span>
		</th>
		<td>
			<?php
				echo $form->radio('sp_type',
						array(
							'1' => __("sp_groups.sptype.non_map", true),
							'2' => __("sp_groups.sptype.map", true),
							'3' => __("sp_groups.sptype.hybrid", true),
							'5' => __("sp_groups.sptype.hpci", true),
							'4' => __("sp_groups.sptype.rw", true)
						),
						array('legend'=> false));
			?>
		</td>
	</tr>

	<tr>
		<th><?php __('common.service.icon') ?><span class="required"><?php __('common.form.required') ?></span></th>
		<td>
			<?php echo $form->input('file', array('type' => 'file', 'label' => false)); ?>
			<?php echo $this->element('spc_icon_logo', array('model' => 'ManageSpGroup')) ?>
			<div><?php echo __("common.select.icon", true) ?></div>
			<?php echo $this->element('spc_icon', array('model' => 'ManageSpGroup', 'enableUserIcon' => true)) ?>
		</td>
	</tr>

	<tr>
		<th><?php echo __("sp_groups.public_tag", true) ?></th>
		<?php echo $this->element('add_tag_td'); ?>
	</tr>

	<tr>
		<th><?php echo __("sp_groups.link_for_idp_administrator", true) ?></th>
		<td>
			<div id="link_for_idp_administrator">
					<?php echo $form->input('link_for_idp_administrator',
						array('type' => 'text', 'label' => false, 'div' => false, 'size' => 80,
								'id' => 'ManageSpGroupLinkForIdpAdministrator')); ?>
			</div>
		</td>
	</tr>

	<tr>
		<th>
			<?php echo __("sp_groups.target.sp", true) ?><br/>
			<span class="weak"><?php echo __("sp_groups.target.sp.description", true) ?></span>
		</th>
		<td class="bottom">

			<?php $count = count($hostList); ?>
			<?php if ($count > 0): ?>
			<table class="no_border">
			<?php $keys = array_keys($hostList); ?>
			<?php for ($i = 0; $i < $count; $i++): ?>
				<?php
					$key = $keys[$i];
					$name = $hostList[$key]['name'];
					$entityid = $hostList[$key]['entityid'];
					$select = false;
					if (isset($selectedSp)) {
						foreach ($selectedSp as $id) {
							if ($key == $id)
								$select = true;
						}
					} else {
						if (!empty($this->data['ManageSpGroup']['sp_host'])) {
							foreach ($this->data['ManageSpGroup']['sp_host'] as $id) {
								if ($key == $id) {
									$select = true;
								}
							}
						}
					}
				?>
				<tr>
				<td>
				<div class="checkbox">
					<?php
					if (!$select) {
						echo '<input type="checkbox" name="data[ManageSpGroup][sp_host][]" value="'.$key.'" id="ManageSpGroupSpHost'.$key.'" key="serviceCheck" />';
						echo '<label for="ManageSpGroupSpHost'.$key.'">'.$name
							.'<span class="light">（'.$entityid.'）</span>'.'</label>';
					} else {
						echo '<input type="checkbox" name="data[ManageSpGroup][sp_host][]" value="'.$key.'" id="ManageSpGroupSpHost'.$key.'" key="serviceCheck" checked="checked" />';
						echo '<label for="ManageSpGroupSpHost'.$key.'" class="selected">'.$name
							.'<span class="light">（'.$entityid.'）</span>'.'</label>';
					}
					?>
				</div>
				<div id="serviceDetail<?php echo $key ?>">
					<div>
						<span class="light" style="padding-right:16px;">
							<?php echo __("group_lists.service.name", true); ?>
						</span>
						<?php echo $form->input('service_name'.$key, array('label' => false, 'style' => 'width:90%', 'div' => false)); ?>
					</div>
					<div>
						<span class="light" style="padding-right:16px;">
							<?php echo __("common.service.link", true); ?>
						</span>
						<?php echo $form->input('lead_url'.$key, array('label' => false, 'style' => 'width:90%', 'div' => false)); ?>
					</div>
					<div class="non_map_link">
						<span class="light" style="padding-right:16px;">
							<?php echo __("sp_groups.non.map.link", true); ?>
						</span>
						<?php echo $form->input('lead_non_map_url'.$key, array('label' => false, 'style' => 'width:90%', 'div' => false)); ?>
					</div>
					<div>
						<span class="light" style="padding-right:16px;">
							<?php echo __("New Group API"); ?>
						</span>
						<?php echo $form->input('callback_url'.$key, array('label' => false, 'style' => 'width:90%', 'div' => false)); ?>
					</div>
					<div style="padding-left:5px;padding-top:2px;padding-bottom:5px;" class="light">
							<?php echo __("sp_groups.option", true); ?><?php echo $html->link($html->image('question.png', array('class' => 'question_small')),
							'https://meatwiki.nii.ac.jp/confluence/x/sII_AQ', array('class' => 'nolink', 'escape' => false, 'target' => '_blank'), false); ?>
							<br/>
						<div>
							<input type="radio" name="data[ManageSpGroup][logout_option<?php echo $key ?>]" value="manual" id="SpGroupLogoutOption<?php echo $key ?>manual" key="checkOption" sp_id="<?php echo $key ?>"
									<?php echo (isset($this->data['ManageSpGroup']['logout_option'.$key])
									  && $this->data['ManageSpGroup']['logout_option'.$key] === 'manual'
									  || !isset($this->data['ManageSpGroup']['logout_option'.$key]) ? "checked=\"checked\"" : "" ) ?> />
							<label for="SpGroupSpLogout3"><span class="light"><?php echo __("sp_groups.option.manual", true); ?></span><br/></label>

							<input type="radio" name="data[ManageSpGroup][logout_option<?php echo $key ?>]" value="disused" id="SpGroupLogoutOption<?php echo $key ?>disused" key="checkOption" sp_id="<?php echo $key ?>"
									<?php echo (isset($this->data['ManageSpGroup']['logout_option'.$key]) && $this->data['ManageSpGroup']['logout_option'.$key] === 'disused' ? "checked=\"checked\"" : "" ) ?> />
							<label for="SpGroupSpLogout0"><span class="light"><?php echo __("sp_groups.option.disused", true); ?></span><br/></label>

							<input type="radio" name="data[ManageSpGroup][logout_option<?php echo $key ?>]" value="relogin" id="SpGroupLogoutOption<?php echo $key ?>relogin" key="checkOption" sp_id="<?php echo $key ?>"
									<?php echo (isset($this->data['ManageSpGroup']['logout_option'.$key]) && $this->data['ManageSpGroup']['logout_option'.$key] === 'relogin' ? "checked=\"checked\"" : "" ) ?> />
							<label for="SpGroupSpLogout1"><span class="light"><?php echo __("sp_groups.option.relogin", true); ?></span><br/></label>

							<div style="padding-left:5px;" id="relogin_url<?php echo $key ?>">
								<div style="padding-left:25px;">
									<span class="light">
										<?php echo __("sp_groups.option.url", true); ?>
										<?php echo $form->input('relogin_url'.$key, array('label' => false, 'size' => 65, 'div' => false)); ?>
									</span>
								</div>
								<div style="padding-left:24px;">
									<span class="light">
									<?php
									echo $form->input('service_link_both'.$key,
										array('options' => array('yes' => __("sp_groups.option.service.url", true)),
										'multiple'=> 'checkbox', 'type' => 'select', 'label' => false));
									?>
									</span>
								</div>
							</div>
						</div>
					</div>
				</div>
				</td>
				</tr>
			<?php endfor; ?>
			</table>

			<?php else: ?>
				<?php echo __("sp_groups.not.select.sp", true) ?>
			<?php endif; ?>
			<br/>
			<span class="light">
				<?php echo __("sp_groups.not.select.sp.attention", true) ?>
			</span>
		</td>
	</tr>
	<tr>
		<th><?php echo __("common.status", true) ?></th>
		<td>
		<?php
			echo $form->radio('active', array('0' => __("common.status.active", true), '1' => __("common.status.inactive", true)),
			array('legend'=> false));
		?>
		</td>
	</tr>

	<tr>
		<th><?php echo __("common.use.atribute", true) ?></th>
		<td>
			<div class="weak"><?php echo __("sp_groups.use.attribute.description", true) ?></div>
			<?php
			echo $form->input('attr_ismemberof',
					array('options' => array('1' => __("common.group.id", true).' ('.__("common.group.id.use", true).')'),
					'multiple'=> 'checkbox', 'type' => 'select', 'label' => false,));
			?>
			<?php
			echo $form->input('attr_eptid',
					array('options' => array('1' => __("common.eptid", true).' ('.__("common.eptid.use", true).')' ),
					'multiple'=> 'checkbox', 'type' => 'select', 'label' => false,));
			?>
			<?php
			echo $form->input('attr_name',
					array('options' => array('1' => __("common.name", true).' ('.__("common.name.use", true).')'),
					'multiple'=> 'checkbox', 'type' => 'select', 'label' => false,));
			?>
			<?php
			echo $form->input('attr_mail',
					array('options' => array('1' => __("common.mailaddress", true).' ('.__("common.mailaddress.use", true).')'),
					'multiple'=> 'checkbox', 'type' => 'select', 'label' => false,));
			?>
			<?php
			echo $form->input('attr_eppn',
					array('options' => array('1' => __("common.eppn", true).' ('.__("common.eppn.use", true).')'),
					'multiple'=> 'checkbox', 'type' => 'select', 'label' => false,));
			?>
			<?php
//			echo $form->input('attr_organization',
//					array('options' => array('1' => __("common.affiliation", true).' ('.__("common.mailaddress.use", true).')'),
//					'multiple'=> 'checkbox', 'type' => 'select', 'label' => false,));
			?>
			<?php
//			echo $form->input('attr_idp',
//					array('options' => array('1' => __("common.affiliation.idp", true).' ('.__("common.affiliation.idp.use", true).')'),
//					'multiple'=> 'checkbox', 'type' => 'select', 'label' => false,));
			?>
			<?php
//			echo $form->input('attr_language',
//					array('options' => array('1' => __("common.language", true).' ('.__("common.language.use", true).')'),
//					'multiple'=> 'checkbox', 'type' => 'select', 'label' => false,));
			?>
			<?php
//			echo $form->input('attr_introduction',
//					array('options' => array('1' => __("common.my.introduction", true).' ('.__("common.my.introduction.use", true).')'),
//					'multiple'=> 'checkbox', 'type' => 'select', 'label' => false,));
			?>
			<?php echo $this->element('extended_attribute'); ?>
		</td>
	</tr>

	<tr>
		<td colspan="2"><?php echo __("groups.detail", true) ?></td>
	</tr>
	<tr>
		<td colspan="2"><?php echo __("sp_groups.question.search", true) ?></td>
	</tr>
	<tr>
		<td></td>
		<td>
		<?php
			echo $form->radio('public', array(
				'1' => __("groups.answer.search", true).'<br/>',
				'0' => __("groups.answer.no.search", true)),
			array('legend'=> false));
		?>
		</td>
	</tr>
	<tr>
		<td colspan="2"><?php echo __("sp_groups.question.member.public", true) ?></td>
	</tr>
	<tr>
		<td></td>
		<td>

		<?php
			echo $form->radio('openmember', array(
				'1' => __("groups.answer.public", true).'<br/>',
				'0' => __("groups.answer.private", true)),
			array('legend' => false,));
		?></td>
	</tr>
	<tr>
		<td colspan="2"><?php echo __("sp_groups.question.down", true) ?></td>
	</tr>
	<tr>
		<td></td>
		<td>
		<?php
			echo $form->radio('down_permission', array(
				'1' => __("sp_groups.answer.no.approve", true).'<br/>',
				'2' => __("sp_groups.answer.need.approve", true).'<br/>'),
			array('legend' => false,));
		?></td>
	</tr>
	<tr>
		<td colspan="2"><?php echo __("sp_groups.question.send.attribute", true) ?><br/>
		<span class="weak"><?php echo __("sp_groups.question.send.attribute.description", true) ?></span></td>
	</tr>
	<tr>
		<td></td>
		<td>
		<?php
			echo $form->radio('group_response', array(
				'1' => __("sp_groups.answer.sp.only", true).'<br/>',
				'2' => __("sp_groups.answer.both", true)),
			array('legend'=> false,));
		?>
		<br/><br/><br/>
		<span class="weak"><?php echo __("sp_groups.send.description", true) ?><br/>
			<dl>
			<dt><?php echo __("sp_groups.sp.only", true) ?></dt>
	    	<dd>https://<?php echo $_SERVER['HTTP_HOST'] ?>/sp/<?php echo __("common.sp.name", true) ?>　　←　<?php echo __("common.sp", true) ?></dd>
	  		<dt><?php echo __("sp_groups.both", true) ?></dt>
	    	<dd>https://<?php echo $_SERVER['HTTP_HOST'] ?>/sp/<?php echo __("common.sp.name", true) ?>　　←　<?php echo __("common.sp", true) ?></dd>
			<dd>https://<?php echo $_SERVER['HTTP_HOST'] ?>/gr/<?php echo __("common.group.name", true) ?>　　　←　<?php echo __("common.member", true) ?></dd>
			<dd>https://<?php echo $_SERVER['HTTP_HOST'] ?>/gr/<?php echo __("common.group.name", true) ?>/admin　←　<?php echo __("common.group.admin", true) ?></dd>
			</dl>
		</span>
		</td>
	</tr>
	<tr>
		<td colspan="2"><?php echo __("sp_groups.create.notice", true) ?></td>
	</tr>
</table>

<div class="submitArea">
	<?php e($form->submit(__("common.save", true), array('name' => 'save', 'div'=> false, 'class' => 'submitBtn'))); ?>
	<?php e($form->submit(__("common.cancel", true), array('name' => 'cancel', 'div'=> false, 'class' => 'resetBtn'))); ?>
</div>

<?php echo $form->end(); ?>

		</article>
