<?php echo $javascript->linkNoCache('group_language'); ?>

<?php echo $this->element("aside", array('span' => 4)) ?>
<article class="col span_16">
<?php echo $this->element("article") ?>

<h2><?php echo __('accounts.create.title', true) ?></h2>

<?php echo $form->create('Account', array('action' => 'create')); ?>
<?php echo $form->input('id', array('type'=>'hidden')); ?>
<?php echo $form->input('new', array('type'=>'hidden')); ?>

	<?php $joinUrl = $this->Session->read('joinUrl'); ?>
	<?php if (!empty($joinUrl)): ?>
		<div style="padding-bottom:10px;">
			<?php echo sprintf(__('accounts.join.description', true),
				$this->Session->read('inviteGroupName'), $this->Session->read('inviteGroupName')) ?>
		</div>
	<?php endif; ?>

	<table class="form">
		<tr>
			<th><?php echo __("common.language", true) ?></th>
			<td>
				<?php $options = array(
						'ja' => __("common.japanese", true),
						'eng' => __("common.english", true),
				); ?>
				<?php echo $form->select('language', $options, null,
						array('empty' => false, 'default' => $defalutLanguage, 'id' => 'name_language', 'div'=> false) ); ?>
			</td>
		</tr>
		<tr>
			<th><?php echo __("common.name", true) ?><span class="required"><?php echo __('common.form.required', true) ?></span></th>
			<td>
				<div id="name_ja" style="display:none;">
					<?php echo $form->input('name', array('label' => false, 'div' => false, 'size' => 40,
									'error' => false, 'id' => 'name_input_ja')); ?>
					<?php echo __('common.japanese', true); ?>
					<div><?php echo $form->error('name'); ?></div>
				</div>
				<div id="name_eng">
						<?php echo $form->input('name_en', array('label' => false, 'div' => false, 'size' => 40,
								'error' => false, 'id' => 'name_input_eng')); ?>
					<?php echo __('common.english', true); ?>
					<div><?php echo $form->error('name_en'); ?></div>
				</div>
				<?php echo $form->input('name_require',
					array('label' => false, 'div' => false, 'size' => 100, 'style' => 'display:none;')); ?>
			</td>
		</tr>
		<tr>
			<th><?php echo __("common.mailaddress", true) ?><span class="required"><?php echo __('common.form.required', true) ?></span></th>
			<td>
				<?php echo $form->input('mail', array('label' => false, 'size' => 40)); ?>
<?php /*
				<div style="float:left;padding-left:10px;">
					<?php if (isset($this->data['Account']['arrival']) && $this->data['Account']['arrival']): ?>
						<?php echo $html->image('mail2.gif', array('title' => __("common.arrival.ok", true))) ?>
					<?php else: ?>
						<?php if (!$this->data['Account']['new']): ?>
						<span class="submit" style="padding-left:10px;">
							<?php e($form->submit(__("accounts.confrim.mail", true), array('name' => 'arrival', 'div'=> false))); ?>
						</span>
						<?php endif; ?>
					<?php endif; ?>
				</div>
*/ ?>
				<div style="float:clear;"></div>
			</td>
		</tr>
		<?php if ($this->data['Account']['university'] || $this->data['Account']['university_en']): ?>
		<tr>
			<th><?php echo __("common.affiliation", true) ?></th>
			<td>
				<div id="university_ja" style="display:none;">
					<?php echo $form->input('university', array('label' => false, 'div' => false, 'size' => 40,
									'error' => false, 'id' => 'university_input_ja')); ?>
					<?php echo __('common.japanese', true); ?>
					<div><?php echo $form->error('university'); ?></div>
				</div>
				<div id="university_eng">
					<?php echo $form->input('university_en', array('label' => false, 'div' => false, 'size' => 40,
									'error' => false, 'id' => 'university_input_eng')); ?>
					<?php echo __('common.english', true); ?>
					<div><?php echo $form->error('university_en'); ?></div>
				</div>
			</td>
		</tr>
		<?php endif; ?>
	</table>

	<div class="submitArea">
		<p class="agreement_check">
		<label><?php echo $form->checkbox('agreement', array('label' => false, 'div' => false)); ?>
			<?php  $msg = sprintf(__('accounts.agreement', true),
				$html->link(__('common.stipulation.use', true), Configure::read('stipulation_of_use')),
				$html->link(__('common.privacy.policy', true), Configure::read('privacy_policy.cloudgateway')),
				$html->link(__('common.guidelines.use', true), Configure::read('guidelines_of_use.cloudgateway')),
				$html->link(__('common.mygroups.guidelines.use', true), Configure::read('guidelines_of_use.default')),
				$html->link(__('common.participants', true), Configure::read('participantslink'))); ?>
			<?php echo $msg; ?>
		</label>
		</p>

		<?php e($form->submit(__("common.save", true), array('class' => 'submitBtn', 'name' => 'save', 'div'=> false))); ?>

		<?php if (!$this->data['Account']['new']): ?>
			<?php e($form->submit(__("common.cancel", true), array('class' => 'resetBtn', 'name' => 'cancel', 'div'=> false))); ?>
		<?php else: ?>
			<?php e($form->submit(__("common.cancel", true), array('class' => 'resetBtn', 'name' => 'no_account_cancel', 'div'=> false))); ?>
		<?php endif; ?>

<?php /*
		<?php if (!$this->data['Account']['new']): ?>
			<?php e($form->submit(__("common.del", true), array('class' => 'submitBtnRed', 'name' => 'delete', 'div'=> false,
					'onClick' => "return confirm('Are you sure?', true)"))); ?>
		<?php endif; ?>
*/ ?>

	</div>

<?php echo $form->end(); ?>

<?php if ($this->Common->isDevelopment() && $this->data['Account']['new']): ?>
<div class="submitArea">
<?php   echo $html->link('dev環境設定', '/dev/reset', array('class' => 'submitBtn')) ?>
</div>
<?php endif; ?>

        </article>

