<?php echo $this->element("aside", array('span' => 6)) ?>
<article class="col span_18">
<?php echo $this->element("article") ?>
<h3><?php echo h(__("top.menu.account", true)) ?></h3>

<?php echo $form->create('Account', array('action' => 'integration_step3')); ?>
<?php echo $form->input('random_key', array('type' => 'hidden')); ?>

<div id="contents">
	<span class="strong"><?php echo __("accounts.unify.step3", true) ?></span>
	<div style="padding-top:20px;">
		<div><?php echo __("accounts.unify.step3.description1.existing", true) ?></div>
		<div><?php echo __("accounts.unify.step3.description2.existing", true) ?></div>
	</div>
	<div style="margin-top:20px;">
		<table>
		<?php if (!empty($account['Account']['eppnList'])): ?>
		<tr>
			<td class="input">ePPN</td>
			<td>
				<?php foreach ($account['Account']['eppnList'] as $eppn): ?>
					<div><?php echo $eppn; ?></div>
				<?php endforeach; ?>
			</td>
		</tr>
		<?php endif; ?>
		<?php if (!empty($account['Account']['eptidList'])): ?>
		<tr>
			<td class="input">ePTID</td>
			<td>
				<?php foreach ($account['Account']['eptidList'] as $eptid): ?>
					<div><?php echo $eptid; ?></div>
				<?php endforeach; ?>
			</td>
		</tr>
		<?php endif; ?>

		<?php if (!empty($account['Account']['name'])): ?>
		<tr>
			<td class="input"><?php echo __("common.name", true) ?> (<?php echo __("common.japanese", true) ?>)</td><td><?php echo h($account['Account']['name']) ?></td>
		</tr>
		<?php endif; ?>

		<?php if (!empty($account['Account']['name_en'])): ?>
		<tr>
			<td class="input"><?php echo __("common.name", true) ?> (<?php echo __("common.english", true) ?>)</td><td><?php echo h($account['Account']['name_en']) ?></td>
		</tr>
		<?php endif; ?>

		<tr>
			<td class="input"><?php echo __("common.mailaddress", true) ?></td><td><?php echo h($account['Account']['mail']) ?></td>
		</tr>

		<?php if (!empty($account['Account']['university'])): ?>
		<tr>
			<td class="input"><?php echo __("common.affiliation", true) ?> (<?php echo __("common.japanese", true) ?>)</td><td><?php echo h($account['Account']['university']) ?></td>
		</tr>
		<?php endif; ?>

		<?php if (!empty($account['Account']['university_en'])): ?>
		<tr>
			<td class="input"><?php echo __("common.affiliation", true) ?> (<?php echo __("common.english", true) ?>)</td><td><?php echo h($account['Account']['university_en']) ?></td>
		</tr>
		<?php endif; ?>
		<tr>
			<td class="input"><?php echo __("common.language", true) ?></td>
			<td>
				<?php if ($account['Account']['language'] === 'ja'): ?>
					<?php echo __("common.japanese", true); ?>
				<?php elseif ($account['Account']['language'] === 'eng'): ?>
					<?php echo __("common.english", true); ?>
				<?php endif;?>
			</td>
		</tr>
		<?php if (!empty($account['Account']['introduction'])): ?>
		<tr>
			<td class="input"><?php echo __("common.my.introduction", true) ?> (<?php echo __("common.japanese", true) ?>)</td><td><?php echo h($account['Account']['introduction']) ?></td>
		</tr>
		<?php endif; ?>
		<?php if (!empty($account['Account']['introduction_en'])): ?>
		<tr>
			<td class="input"><?php echo __("common.my.introduction", true) ?> (<?php echo __("common.english", true) ?>)</td><td><?php echo h($account['Account']['introduction_en']) ?></td>
		</tr>
		<?php endif; ?>
		</table>
	</div>

	<div class="submitArea">
		<?php e($form->submit(__("accounts.unify.excute.existing", true), array('name' => 'execute_same_account', 'div'=> false, 'class' => 'submitBtn'))); ?>
		<?php e($form->submit(__("common.cancel", true), array('name' => 'cancel', 'div'=> false, 'class' => 'resetBtn'))); ?>
	</div>
</div>


<?php echo $form->end(); ?>

        </article>

