<?php echo $this->element("aside", array('span' => 6)) ?>
<article class="col span_18">
<?php echo $this->element("article") ?>
<?php $group_name = $group['Group']['name'].$group['Group']['name_en']; ?>
<h3><?php echo h(sprintf('%s > %s', $group_name, __("group_lists.join", true))) ?> </h3>

<?php echo $form->create('Invite', array('action' => 'register')); ?>
<?php echo $form->hidden('random', array('value' => $random)); ?>

	<div class="bold"><?php echo __("common.introduction", true) ?></div>
	<div style="padding-bottom:1em;"><?php echo h($group['Group']['introduction'].$group['Group']['introduction_en']) ?></div>

	<?php if (!$group['Group']['sp'] && !$idp): ?>
		<?php if (count($agreedList['Agreement']) > 0): ?>
		<div>
			<?php echo __('group_lists.join.confirm.description', true) ?>
		</div>
		<?php endif; ?>

		<?php foreach ($agreedList['Agreement'] as $agreement): ?>
		<table class="span_18 form">
		<tr>
			<th><?php echo __("common.sp.service.name", true) ?></th>
			<td>
				<ul>
				<?php foreach ($agreement['spc_service_name_list'] as $serviceName): ?>
					<li>
					<?php echo h($serviceName); ?>
					<?php if (!$agreement['spc_service_active_list'][$serviceName]): ?>
						<span style="color:red">[<?php echo __("common.status.inactive", true) ?>]</span>
					<?php endif; ?>
					</li>
				<?php endforeach; ?>
				</ul>
			</td>
		</tr>
		<?php if (isset($agreement['top_group_name_list'])): ?>
		<tr>
			<th><?php echo __("common.group.id", true) ?></th>
			<td>
				<ul class="bold">
					<?php foreach ($agreement['top_group_name_list'] as $gid => $top_group_name): ?>
					<li>
						<?php echo $top_group_name ?>
						<?php echo (!empty($agreement['top_group_select_id_list'][$gid])) ? __("common.agreed") : '' ?>
					</li>
					<?php endforeach; ?>
				</ul>
				<p><?php echo __("common.group.id.use", true) ?></p>
			</td>
		</tr>
		<?php endif; ?>
		<tr>
			<th><?php echo __("common.sp.use.attribute", true) ?></th>
			<td>
				<?php $agreement_values = Configure::read('agreement_values'); ?>
				<?php $agreement_types = array('eptid', 'name', 'mail', 'eppn', 'idp', 'language', 'introduction'); ?>
					<?php foreach ($agreement_types as $agreement_type): $agreement_value = $agreement_values[$agreement_type]; ?>
					<?php if (!isset($agreement[$agreement_type])) continue; ?>
					<div>
						<p class="bold">
							<?php echo __("common.".$agreement_value['label']) ?>
							<?php echo (!empty($agreement[$agreement_type])) ? __("common.agreed") : '' ?>
						</p>
						<p><?php echo __(sprintf('common.%s.use', $agreement_value['use']), true) ?></p>
					</div>
				<?php endforeach; ?>
			</td>
		</tr>
		</table>
		<br />
		<?php endforeach; ?>

		<div class="submitArea">
		<?php if (count($agreedList['Agreement']) > 0): ?>
			<?php $color = isset($this->data['Invite']['error_agreement']) ? 'color:red;' : '' ?>
			<p class="agreement_check" style="<?php e($color) ?>">
				<label>
					<?php echo $form->checkbox('agreement') ?>
					<?php echo __("group_lists.agree.sending.attribute", true) ?>
				</label>
			</p>
		<?php endif; ?>

			<div class="agreement_check">
				<label>
					<?php echo $form->checkbox('entrustment') ?>
					<?php echo __("group_lists.entrustment", true) ?>
					<ul style="list-style:inside; padding-left:40px;">
						<li><?php echo __("group_lists.entrustment.notice", true) ?></li>
						<li><?php echo __("group_lists.entrustment.notice.need", true) ?></li>
						<?php if ($upperGroup): ?>
						<li><?php echo __("group_lists.entrustment.notice.up", true) ?></li>
						<?php endif; ?>
					</ul>
				</label>
			</div>
		</div>
	<?php endif; ?>

	<div class="submitArea">
		<?php echo $form->submit(__("group_lists.join", true), array('name' => 'join', 'div' => false, 'class' => 'submitBtn')) ?>
		<?php echo $form->submit(__("common.cancel", true), array('name' => 'cancel', 'div' => false, 'class' => 'resetBtn')) ?>
	</div>

<?php echo $form->end(); ?>

		</article>
