<!-- 
参考URL
http://www.pureexample.com/jquery-ui/sortable-placeholder.html
-->


<?php echo $html->script('jquery.ui.touch-punch.min.js') ?>

<!-- CSS -->
<style type="text/css">
.list {
    background-color: #478BFF;
    font-size: 30px;
    text-align: center;
    cursor: pointer;
    font-family: Geneva,Arial,Helvetica,sans-serif;
    border: 1px solid gray;
}
 
#items .ui-selected {
    background: red;
    color: white;
    font-weight: bold;
}
 
#items {
    list-style-type: none;
    margin: 0;
    padding: 0;
}
 
#items li {
    float: left;
    margin: 4px;
    padding: 4px;
    width: 80px;
    height: 48px;
    line-height: 48px;
    font-size: 14px;
}
 
.highlight {
    border: 1px solid red;
    font-weight: bold;
    font-size: 45px;
    background-color: lightblue;
}
</style>
 
 
<!-- Javascript -->
<script>
$(function () {
        $("#items").sortable({
                placeholder: "highlight",
                start: function (event, ui) {
                        ui.item.toggleClass("highlight");
                },
                stop: function (event, ui) {
                        ui.item.toggleClass("highlight");
                }
        });
        $("#items").disableSelection();
});
</script>
 
<!-- HTML -->
<div style="width:auto">
  <ul id="items">
      <li class="list">CiNii Articles</li>
      <li class="list">CiNii Books</li>
      <li class="list">KAKEN</li>
      <li class="list">NII-DBR</li>
      <li class="list">NII-REO</li>
      <li class="list">NII-ELS</li>
      <li class="list">JAIRO</li>
      <li class="list">JAIRO Cloud</li>
      <li class="list">IRDB</li>
      <li class="list">ERDB</li>
      <li class="list">NACSIS-CAT</li>
      <li class="list">12</li>
      <li class="list">13</li>
      <li class="list">14</li>
      <li class="list">15</li>
      <li class="list">16</li>
      <li class="list">17</li>
      <li class="list">18</li>
      <li class="list">19</li>
      <li class="list">20</li>
      <li class="list">21</li>
      <li class="list">22</li>
      <li class="list">23</li>
      <li class="list">24</li>
      <li class="list">25</li>
      <li class="list">26</li>
      <li class="list">27</li>
      <li class="list">28</li>
  </ul>
</div>
<div id="info" style="font-family:Geneva,Arial,Helvetica,sans-serif;font-size:20px;"></div>