<?php
/**
 * Join Operator Component
 *
 * PHP versions 5
 *
 * @copyright     Copyright (c) 2011 - 2012, National Institute of Informatics,
 * @license       BSD License (http://creativecommons.org/licenses/BSD/)
 */
class JoinOperatorComponent extends Object {

   	function initialize(&$controller) {
		$this->controller =& $controller;
		$this->AgreementEntrustment = ClassRegistry::init('AgreementEntrustment');
   	}


   	/**
   	 * 委任登録を行う
   	 * @param $groupid グループID
   	 * @param $accountid アカウントID
   	 * @param $entrustment_flag 委任するかどうか true:委任する
   	 */
   	function entrust($groupid, $accountid, $entrustment_flag) {
		if (!$entrustment_flag) {
			return true;
		}

		$count = $this->AgreementEntrustment->find('count', array(
			'conditions' => array('group_id' => $groupid, 'account_id' => $accountid)));
		if ($count > 0)
			return true;

		$entrustment = array();
		$entrustment['group_id'] = $groupid;
		$entrustment['account_id'] = $accountid;
		$this->AgreementEntrustment->create();
		$result = $this->AgreementEntrustment->save($entrustment);
		if (!$result)
			return false;
		return true;
   	}
}
?>
