<?php
/**
 * Organization Model
 *
 * PHP versions 5
 *
 * @copyright     Copyright (c) 2011 - 2012, National Institute of Informatics,
 * @license       BSD License (http://creativecommons.org/licenses/BSD/)
 */
class Organization extends AppModel
{
    var $name = 'Organization';

    function findNameByEntityid($entityid) {
		$entity = $this->find('first', array('conditions' => array('entityid' => $entityid)));
		if (empty($entity)) {
			return "";
		}

		$name = $entity['Organization']['name'];
		$nameEn = $entity['Organization']['name_en'];
		$result = "";
		if (!empty($name)) {
			$result = $name;
		}
		if (!empty($nameEn)) {
			$result = $result."/".$nameEn;
		}
		return $result;
    }
}
?>
