<?php $_group_id = $ManageGroup['ManageGroup']['id'] ?>
<?php $pageText = ($this->data['ManageGroup']['sp'] || $this->data['ManageGroup']['idp']) ?
	__("left.menu.invitation.admin.state", true) : __("left.menu.invitation.state", true); ?>

<?php if ($this->data['ManageGroup']['sp']): ?>

<?php echo $this->element("aside", array('span' => 6, 'action' => '/menus/left/'.$_group_id.'/invite_state')) ?>
<article class="col span_18">
<?php echo $this->element("article") ?>

<?php else: ?>

<article class="col span_24">
<?php echo $this->element("article") ?>

<style>
article, aside {
	padding-bottom: 0px !important;
	margin-left: 5px !important;
}
</style>

<div class="tab_frame" style="margin-top:8px;">
	<ul class="tabs">
		<div class="contents"></div>
		<?php foreach ($top5GroupIdList as $id => $name) :?>
			<?php if ($id == $selfGroupId): ?>
			<li>
				<label class="current"><?php echo $name; ?></label>
			</li>
			<?php else: ?>
			<li style="margin-left:5px;">
				<label><a href="./<?php echo $id; ?>"><?php echo $name; ?></a></label>
			</li>
			<?php endif; ?>
		<?php endforeach; ?>
			<?php
echo $this->element ( "other_mygroups", $this->requestAction ( '/menus/other_mygroups/' . $selfGroupId, array("actionName" => $this->params['action']) ) );
			?>
	</ul>
</div>

</article>
<?php echo $this->element("aside", array('span' => 6, 'action' => '/menus/left/'.$_group_id.'/invite_state')) ?>
<article class="col span_17">

<?php endif ?>

<h3><?php echo h(sprintf('%s > %s', $this->element('group_name', array('group_id' => $_group_id)), $pageText)) ?></h3>

<?php echo $form->create('ManageGroup', array('action' => 'invite/', 'type' => 'POST')); ?>
	<div style="padding-bottom:10px;">
		<?php e($form->submit(__("left.menu.invitation", true), array('name' => '', 'div'=> false, 'class' => 'submitBtn'))); ?>
	</div>
<?php echo $form->end(); ?>


<?php echo $form->create('ManageGroup', array('action' => 'invite_state/', 'type' => 'GET')); ?>
<div id="contents">
<div class="group">

<?php if (!empty($inviteAllCount)): ?>

<div style="font-size:110%; padding-top:10px;padding-bottom:5px;"><?php echo __("manage_groups.invite.history.situation", true) ?></div>
<div>
	<?php
		$groupid = $this->data['ManageGroup']['id'];
		echo $form->radio('filter', array(
			0=>__("manage_groups.invite.all", true),
			1=>__("manage_groups.invite.inviting", true),
			2=>__("manage_groups.invite.joined.one", true),
			3=>__("manage_groups.invite.joined", true) . __("manage_groups.invite.withdrawn", true),
			4=>__("manage_groups.invite.joined.withdrawn", true),
		), array('legend'=>false, 'value'=>$filter, 'separator' => ' '));
	?>
<ul>
	<li>
		<?php echo $form->text('search', array('name' => 'word', 'label' => false, 'div' => false, 'size' => 15, 'value' => $word, 'style' => 'width:250px')); ?>
		<?php echo $form->button(__("common.search.filter", true), array('type' => 'submit')); ?>
		<?php echo '<br/>' . __("manage_groups.invite.withdrawn.not.appear", true); ?>
	</li>
</ul>
</div>
<div class="page page-top">
	<?php if ($prev): ?>
		<?php echo $html->link(__("common.prev", true), sprintf('/admin/manage_groups/invite_state/'.$this->data['ManageGroup']['id'].'?word=%s&page=%d&filter=%d', $word, ($page - 1), $filter), array('class' => 'page')); ?>
	<?php else: ?>
		<span class="page"><?php echo __("common.prev", true) ?></span>
	<?php endif; ?>
	　　　
	<?php if ($next): ?>
		<?php echo $html->link(__("common.next", true), sprintf('/admin/manage_groups/invite_state/'.$this->data['ManageGroup']['id'].'?word=%s&page=%d&filter=%d', $word, ($page + 1), $filter), array('class' => 'page')); ?>
	<?php else: ?>
		<span class="page"><?php echo __("common.next", true) ?></span>
	<?php endif; ?>
</div>

<table class="group_width">
	<tr>
		<th class="list_title address"><?php echo __("manage_groups.invite.address", true) ?> / <?php echo __("common.name", true) ?></th>
		<th class="list_title state"><?php echo __("manage_groups.invite.state", true) ?></th>
		<th class="list_title state"><?php echo __("manage_groups.resending", true) ?></th>
		<th class="list_title state"><?php echo __("common.cancel", true) ?></th>
		<th class="list_title disnoneSP"><?php echo __("manage_groups.invite.date", true) ?></th>
		<th class="list_title"><?php echo __("manage_groups.invite.term", true) ?></th>
		<th class="list_title invite_count disnoneSP"><?php echo __("manage_groups.invite.count", true) ?></th>
	</tr>
	<?php foreach ($invites as $invite): ?>
	<tr class="list_detail">
		<td>
			<?php if (empty($invite['Invite']['name'])): ?>
				<?php echo h($invite['Invite']['address']); ?>
			<?php else: ?>
				<?php echo h($invite['Invite']['name']); ?>
			<?php endif; ?>
		</td>
		<td>
			<?php
				if ($invite['Invite']['term'] === 'onetime') {
					if ($invite['Invite']['status'] == 1) {
						if (isset($invite['Invite']['forcible']) && $invite['Invite']['forcible']) {
							echo __("manage_groups.invite.forcible", true);
						} else {
							echo __("manage_groups.invite.joined", true);
						}
						if (!empty($invite['Invite']['joined_name'])) {
							$msg = sprintf( __("manage_groups.invite.name", true), $invite['Invite']['joined_name']);
							echo $msg;
						}
					} else if ($invite['Invite']['status'] == 0) {
						echo __("manage_groups.invite.inviting", true);
					} else if ($invite['Invite']['status'] == 2) {
						echo __("common.invalid", true);
					}
//					echo ($invite['Invite']['status'] == 1 ? __("manage_groups.invite.joined", true) : __("manage_groups.invite.inviting", true));
				} else if($invite['Invite']['term'] === 'time') {
					$start = strtotime($invite['Invite']['created']);
					$end = date(strtotime("1 week", $start));
					$today = time();
					if ($invite['Invite']['status'] == 1) {
						echo __("manage_groups.invite.joined", true);
					} else if ($invite['Invite']['status'] == 0) {
						if ($end >= $today) {
							echo __("manage_groups.invite.inviting", true);
						} else {
							echo __("manage_groups.invite.expiration", true);
						}
					} else if ($invite['Invite']['status'] == 2) {
						echo __("common.invalid", true);
					}
				}
			?>
			<br/>
			<?php if (!empty($invite['Invite']['resend_id'])): ?>
				(<?php echo __("manage_groups.resending", true) ?>)
			<?php endif; ?>
		</td>
		<td>
			<?php if ($invite['Invite']['status'] == 0 && !empty($invite[0]['LENGTH(body)'])): ?>
				<?php echo $html->link(__('manage_groups.resend', true),
						sprintf('/admin/manage_groups/resend/'.$invite['Invite']['id'].'/'.$this->data['ManageGroup']['id'].'?word=%s&page=%d&filter=%d', $word, 1, $filter), array()); ?>
			<?php else: ?>
				-
			<?php endif; ?>
			<br/>
		</td>
		<td>
			<?php if ($invite['Invite']['term'] === 'onetime'): ?>
				<?php if ($invite['Invite']['status'] == 0): ?>
					<?php echo $html->link(__("common.cancel", true),
							sprintf('/admin/manage_groups/invite_cancel/'.$invite['Invite']['id'].'/'.$this->data['ManageGroup']['id'].'?word=%s&page=%d&filter=%d', $word, $page, $filter), array()); ?>
				<?php else: ?>
					-
				<?php endif; ?>
			<?php elseif ($invite['Invite']['term'] === 'time'): ?>
				<?php
					$start = strtotime($invite['Invite']['created']);
					$end = date(strtotime("1 week", $start));
					$today = time();

					$invite['Invite']['status'] == 1
				?>
				<?php if ($end >= $today && ($invite['Invite']['status'] == 0 || $invite['Invite']['status'] == 1)): ?>
					<?php echo $html->link(__("common.cancel", true),
							sprintf('/admin/manage_groups/invite_cancel/'.$invite['Invite']['id'].'/'.$this->data['ManageGroup']['id'].'?word=%s&page=%d&filter=%d', $word, $page, $filter), array()); ?>
				<?php else: ?>
					-
				<?php endif; ?>
			<?php endif; ?>
		</td>
		<td class="disnoneSP"><?php echo date("Y/m/d H:i:s", strtotime($invite['Invite']['created'])); ?></td>
		<td><?php
			if ($invite['Invite']['term'] === 'onetime') {
				echo __("manage_groups.invite.onetime", true);
			} else if($invite['Invite']['term'] === 'time') {
				$start = strtotime($invite['Invite']['created']);
				$end = date("Y/m/d H:i:s", strtotime("1 week", $start));
				echo $end;
			}
		?></td>
		<td class="disnoneSP" style="padding-left:10px;">
			<?php if ($invite['Invite']['term'] === 'onetime'): ?>
				-<br/>
			<?php else: ?>
				<?php if ($invite['Invite']['counter'] == -1): ?>
					-<br/>
				<?php else: ?>
					<?php echo $invite['Invite']['counter']; ?>
				<?php endif; ?>
			<?php endif; ?>
		</td>
	</tr>
	<?php endforeach; ?>
</table>

<div class="page page-bottom">
	<?php if ($prev): ?>
		<?php echo $html->link(__("common.prev", true), sprintf('/admin/manage_groups/invite_state/'.$this->data['ManageGroup']['id'].'?word=%s&page=%d&filter=%d', $word, ($page - 1), $filter), array('class' => 'page')); ?>
	<?php else: ?>
		<span class="page"><?php echo __("common.prev", true) ?></span>
	<?php endif; ?>
	　　　
	<?php if ($next): ?>
		<?php echo $html->link(__("common.next", true), sprintf('/admin/manage_groups/invite_state/'.$this->data['ManageGroup']['id'].'?word=%s&page=%d&filter=%d', $word, ($page + 1), $filter), array('class' => 'page')); ?>
	<?php else: ?>
		<span class="page"><?php echo __("common.next", true) ?></span>
	<?php endif; ?>
</div>
<?php else: ?>
	<?php echo __("message.invite.no.data", true); ?>
<?php endif; ?>

</div>
</div>
	<?php echo $form->end(); ?>

		</article>
