<?php $_group_id = $ManageInspect['ManageInspect']['groupid'] ?>
<article class="col span_24">
<?php echo $this->element("article") ?>
<?php $page = ($sp || $idp) ? __("left.menu.join.admin", true) :  __("left.menu.join", true); ?>
<?php $titles = array($this->element('group_name', array('group_id' => $_group_id)), $page) ?>

<style>
article, aside {
	padding-bottom: 0px !important;
	margin-left: 5px !important;
}
</style>

<div class="tab_frame" style="margin-top:8px;">
	<ul class="tabs">
		<div class="contents"></div>
		<?php foreach ($top5GroupIdList as $id => $name) :?>
			<?php if ($id == $selfGroupId): ?>
			<li>
				<label class="current"><?php echo $name; ?></label>
			</li>
			<?php else: ?>
			<li style="margin-left:5px;">
				<label><a href="./<?php echo $id; ?>"><?php echo $name; ?></a></label>
			</li>
			<?php endif; ?>
		<?php endforeach; ?>
			<?php
echo $this->element ( "other_mygroups", $this->requestAction ( '/menus/other_mygroups/' . $selfGroupId, array("actionName" => $this->params['action']) ) );
			?>
	</ul>
</div>

</article>

<?php echo $this->element("aside", array('span' => 6, 'action' => '/menus/left/'.$_group_id.'/join')) ?>
<article class="col span_17">
<h3><?php echo h(implode(' > ', $titles)) ?></h3>

<?php echo $form->create('ManageInspect', array('action' => "join")); ?>
	<div id="contents">
	<div class="group">
		<?php if (!$sp): ?>
			<?php echo __("manage_inspects.join.message", true); ?>
		<?php else: ?>
			<?php echo __("manage_inspects.join.sp.message", true); ?>
		<?php endif; ?>
		<br/>
		<br/>

		<?php if (empty($users)): ?>
			<span class="strong"><?php echo __("manage_inspects.join.no.data", true); ?></span>
			<br/>
			<br/>
			<br/>

			<?php if (!empty($historys)): ?>
			<span class="strong"><?php echo __("manage_inspects.2days.history", true); ?></span>
			<table class="group_width">
				<tr>
					<th class="list_title name"><?php echo __("common.name", true) ?>&nbsp;(<?php echo __("common.affiliation", true) ?>)</th>
					<th class="list_title intro"><?php echo __("common.introduction", true) ?></th>
					<th class="list_title"><?php echo __("manage_inspects.examination.result", true) ?></th>
				</tr>

		        <?php foreach ($historys as $user): ?>
		        <tr class="list_detail">
		                <td>
		                    <?php echo h($user['ManageInspect']['name']); ?><br/>(<?php echo h($user['ManageInspect']['university']); ?>)
		                </td>
		                <td>
		                    <?php echo h($user['ManageInspect']['introduction']); ?>
		                </td>
						<td>
							<?php if ($user['ManageInspect']['result'] === "approval"): ?>
								<?php echo __("manage_inspects.status.approval", true) ?>
							<?php elseif ($user['ManageInspect']['result'] === "rejection"): ?>
								<?php echo __("manage_inspects.status.rejection", true) ?>
							<?php else: ?>
								<span> - </span>
							<?php endif; ?>
						</td>
		        </tr>
		        <tr>
		        	<td class="list_detail_end" colspan="4">
		        	<span class="weak"><?php echo __("manage_inspects.processing.time", true) ?><?php echo $user['ManageInspect']['modified']; ?></span>
		        	<span class="weak" style="margin-left:65px;"><?php echo __("manage_inspects.time", true) ?><?php echo $user['ManageInspect']['created']; ?></span>
		        	<span class="weak" style="margin-left:35px;">
					IdP : <?php echo $user['ManageInspect']['idp']; ?>
					</span>
		        	</td>
		        </tr>
		        <?php endforeach; ?>
			</table>
			<?php endif; ?>

		<?php else: ?>
		<table class="group_width">
			<tr>
				<th class="list_title name"><?php echo __("common.name", true) ?>&nbsp;(<?php echo __("common.affiliation", true) ?>)</th>
				<th class="list_title intro"><?php echo __("common.introduction", true) ?></th>
				<th class="list_title"><?php echo __("common.mail.arrival", true) ?></th>
				<th colspan="2" class="list_title"><?php echo __("manage_inspects.application", true) ?></th>
			</tr>

	        <?php foreach ($users as $user): ?>
	        <tr class="list_detail">
	                <td>
	                    <?php echo h($user['ManageInspect']['name']); ?><br/>(<?php echo h($user['ManageInspect']['university']); ?>)
	                </td>
	                <td>
	                    <?php echo h($user['ManageInspect']['introduction']); ?>
	                </td>
	                <td style="padding-left:30px;">
						<?php if ($user['ManageInspect']['arrival']): ?>
							<?php echo $html->image('circle3.gif', array('style' => 'height:18px;width:18px;')); ?>
						<?php endif; ?>
						<br/>
					</td>
					<td><?php echo $html->link(__("manage_inspects.approve", true), '/admin/manage_inspects/joinAllow/'.$user['ManageInspect']['id'].'/'.$ManageInspect['ManageInspect']['groupid']); ?></td>
					<td><?php echo $html->link(__("manage_inspects.reject", true), '/admin/manage_inspects/joinDeny/'.$user['ManageInspect']['id'].'/'.$ManageInspect['ManageInspect']['groupid']); ?></td>
	        </tr>
	        <tr>
	        	<td class="list_detail_end" colspan="5">
	        	<span class="weak"><?php echo __("manage_inspects.time", true) ?><?php echo $user['ManageInspect']['created']; ?></span>
	        	<span class="weak" style="margin-left:35px;">
				IdP : <?php echo $user['ManageInspect']['idp']; ?>
				</span>
	        	</td>
	        </tr>
	        <?php endforeach; ?>
		</table>
		<?php endif; ?>
	</div>
	</div>

<?php echo $form->end(); ?>

        </article>
