<?php $_group_id = $ManageInspect['ManageInspect']['groupid'] ?>
<?php echo $this->element("aside", array('span' => 6, 'action' => '/menus/left/'.$_group_id.'/quit')) ?>
<article class="col span_18">
<?php echo $this->element("article") ?>
<?php $titles = array($this->element('group_name', array('group_id' => $_group_id)), __("left.menu.quit", true)) ?>
<h3><?php echo h(implode(' > ', $titles)) ?></h3>

<?php echo $form->create('ManageInspect', array('action' => "quit")); ?>
	<div id="contents">
	<div class="group">
		<?php echo __("manage_inspects.quit.message", true) ?>
		<br/>
		<br/>

		<?php if (empty($users)): ?>
			<span class="strong"><?php echo __("manage_inspects.quit.no.data", true); ?></span>
			<br/>
			<br/>
			<br/>

			<?php if (!empty($historys)): ?>
			<span class="strong"><?php echo __("manage_inspects.2days.history", true); ?></span>
			<table class="group_width">
				<tr>
					<th class="list_title name"><?php echo __("common.name", true) ?>&nbsp;(<?php echo __("common.affiliation", true) ?>)</th>
					<th class="list_title intro"><?php echo __("common.introduction", true) ?></th>
					<th class="list_title"><?php echo __("manage_inspects.examination.result", true) ?></th>
				</tr>

		        <?php foreach ($historys as $user): ?>
		        <tr class="list_detail">
		                <td>
		                    <?php echo h($user['ManageInspect']['name']); ?><br/>(<?php echo h($user['ManageInspect']['university']); ?>)
		                </td>
		                <td>
		                    <?php echo h($user['ManageInspect']['introduction']); ?>
		                </td>
						<td>
							<?php if ($user['ManageInspect']['result'] === "approval"): ?>
								<?php echo __("manage_inspects.status.approval", true) ?>
							<?php elseif ($user['ManageInspect']['result'] === "rejection"): ?>
								<?php echo __("manage_inspects.status.rejection", true) ?>
							<?php else: ?>
								<span> - </span>
							<?php endif; ?>
						</td>
		        </tr>
		        <tr>
		        	<td class="list_detail_end" colspan="4">
		        	<span class="weak"><?php echo __("manage_inspects.processing.time", true) ?><?php echo $user['ManageInspect']['modified']; ?></span>
		        	<span class="weak" style="margin-left:65px;"><?php echo __("manage_inspects.time", true) ?><?php echo $user['ManageInspect']['created']; ?></span>
		        	<span class="weak" style="margin-left:35px;">
					IdP : <?php echo $user['ManageInspect']['idp']; ?>
					</span>
		        	</td>
		        </tr>
		        <?php endforeach; ?>
			</table>
			<?php endif; ?>

		<?php else: ?>
		<table class="group_width">
			<tr>
				<th class="list_title name"><?php echo __("common.name", true) ?>&nbsp;(<?php echo __("common.affiliation", true) ?>)</th>
				<th class="list_title intro"><?php echo __("common.introduction", true) ?></th>
				<th class="list_title"><?php echo __("common.mail.arrival", true) ?></th>
				<th colspan="2" class="list_title"><?php echo __("manage_inspects.application", true) ?></th>
			</tr>

	        <?php foreach ($users as $user): ?>
	        <tr class="list_detail">
	                <td>
	                    <?php echo h($user['ManageInspect']['name']); ?><br/>(<?php echo h($user['ManageInspect']['university']); ?>)
	                </td>
	                <td>
	                    <?php echo h($user['ManageInspect']['introduction']); ?>
	                </td>
	                <td style="padding-left:30px;">
						<?php if ($user['ManageInspect']['arrival']): ?>
							<?php echo $html->image('circle3.gif', array('style' => 'height:18px;width:18px;')); ?>
						<?php endif; ?>
						<br/>
					</td>
					<td><?php echo $html->link(__("manage_inspects.approve", true), '/admin/manage_inspects/quitAllow/'.$user['ManageInspect']['id'].'/'.$ManageInspect['ManageInspect']['groupid']); ?></td>
					<td><?php echo $html->link(__("manage_inspects.reject", true), '/admin/manage_inspects/quitDeny/'.$user['ManageInspect']['id'].'/'.$ManageInspect['ManageInspect']['groupid']); ?></td>
	        </tr>
	        <tr>
	        	<td class="list_detail_end" colspan="5">
	        	<span class="weak"><?php echo __("manage_inspects.time", true) ?><?php echo $user['ManageInspect']['created']; ?></span>
	        	<span class="weak" style="margin-left:35px;">
				IdP : <?php echo $user['ManageInspect']['idp']; ?>
				</span>
	        	</td>
	        </tr>
	        <?php endforeach; ?>
		</table>
		<?php endif; ?>
	</div>
	</div>
<?php echo $form->end(); ?>

        </article>
