<?php
/**
 * Base64Url Helper
 *
 * PHP versions 5
 *
 * @copyright     Copyright (c) 2016, SOUM Corporation.
 * @license       BSD License (http://creativecommons.org/licenses/BSD/)
 */
class Base64UrlHelper extends AppHelper
{
	/**
	 * 引数$strをBase64(URL safe)に変換した値を返す。
	 *
	 * @param $str
	 * @return string base64url
	 */
	function encode($str) {
	  	return rtrim(strtr(base64_encode($str), '+/', '-_'), '=');
	} 
}
?>

