<?php echo $this->element("aside", array('span' => 6)) ?>
<article class="col span_18">
<?php echo $this->element("article") ?>

<h2><?php echo __('accounts.edit.title', true) ?></h2>

<script>
function change() {
	var selectedVal = $('#organization option:selected').text();
	if ($('#organization option:selected').val() == '') {
		return;
	}
	$('#university_input_ja').val(selectedVal);
}
function change_en() {
	var selectedVal = $('#organization_eng option:selected').text();
	if ($('#organization_eng option:selected').val() == '') {
		return;
	}
	$('#university_input_eng').val(selectedVal);
}
</script>

<?php echo $form->create('Account', array('action' => 'edit')); ?>
<?php echo $form->input('id', array('type'=>'hidden')); ?>
<?php echo $form->input('new', array('type'=>'hidden')); ?>

	<table class="form">
		<tr>
			<th><?php echo __("common.language", true) ?></th>
			<td>
				<?php $options = array(
						'ja' => __("common.japanese", true),
						'eng' => __("common.english", true),
				); ?>
				<?php echo $form->select('language', $options, null,
						array('empty' => false, 'default' => $defalutLanguage, 'id' => 'name_language', 'div'=> false) ); ?>
			</td>
		</tr>
		<tr>
			<th><?php echo __("common.name", true) ?><span class="required"><?php echo __('common.form.required', true) ?></span></th>
			<td>
				<div id="name_ja" class="block">
					<p class="langLabel"><?php echo __('common.japanese.original', true); ?></p>
						<?php echo $form->input('name', array('label' => false, 'div' => false, 'size' => 40,
								'error' => false, 'id' => 'name_input_ja')); ?>
					<div><?php echo $form->error('name'); ?></div>
				</div>
				<div id="name_eng" class="block">
					<p class="langLabel"><?php echo __('common.english.original', true); ?></p>
					<?php echo $form->input('name_en', array('label' => false, 'div' => false, 'size' => 40,
								'error' => false, 'id' => 'name_input_eng')); ?>
					<div><?php echo $form->error('name_en'); ?></div>
				</div>
				<?php echo $form->input('name_require',
					array('label' => false, 'div' => false, 'size' => 100, 'style' => 'display:none;')); ?>
			</td>
		</tr>
		<tr>
			<th><?php echo __("common.mailaddress", true) ?><span class="required"><?php echo __('common.form.required', true) ?></span></th>
			<td>
				<?php echo $form->input('mail', array('label' => false, 'size' => 40)); ?>
				<div style="float:left;padding-left:10px;">
					<?php if (isset($this->data['Account']['arrival']) && $this->data['Account']['arrival']): ?>
						<?php echo $html->image('mail2.gif', array('title' => __("common.arrival.ok", true))) ?>
					<?php else: ?>
						<?php if (!$this->data['Account']['new']): ?>
						<span class="submit" style="padding-left:10px;">
							<?php e($form->submit(__("accounts.confrim.mail", true), array('name' => 'arrival', 'div'=> false))); ?>
						</span>
						<?php endif; ?>
					<?php endif; ?>
				</div>
				<div style="float:clear;"></div>
			</td>
		</tr>
		<tr>
			<th><?php echo __("common.affiliation", true) ?></th>
			<td>
				<div id="university_ja">
					<p class="langLabel"><?php echo __('common.japanese.original', true); ?></p>
					<?php echo $form->input('university', array('label' => false,
							'id' => 'university_input_ja','size' => 40, 'error' => false)); ?>
					<div></div>
				</div>
				<div style="margin: 4px 0 20px 20px;">
					<div><span class="weak"><?php echo __("accounts.select.organization", true) ?></span></div>
					<?php echo $form->select('organization', $organizations, null,
								array('empty' => __("accounts.select.my.organization", true), 'div'=> false,
									'onchange' => 'change()', 'id' => 'organization',
									'style' => 'color:#808080; width:200px;') );
					?>
				</div>
				<div><?php echo $form->error('university'); ?></div>

				<div id="university_eng">
					<p class="langLabel"><?php echo __('common.english.original', true); ?></p>
					<?php echo $form->input('university_en', array('label' => false,
							'id' => 'university_input_eng','size' => 40, 'error' => false)); ?>
					<div></div>
				</div>
				<div style="margin: 4px 0 20px 20px;">
					<div><span class="weak"><?php echo __("accounts.select.organization", true) ?></span></div>
					<?php echo $form->select('organization_en', $organizations_en, null,
								array('empty' => __("accounts.select.my.organization", true), 'div'=> false,
									'onchange' => 'change_en()', 'id' => 'organization_eng',
									'style' => 'color:#808080; width:200px;') );
						?>
				</div>
				<div style="clear:both;"><?php echo $form->error('university_eng'); ?></div>
				<?php echo $form->input('university_require',
					array('label' => false, 'div' => false, 'size' => 100, 'style' => 'display:none;')); ?>
			</td>
		</tr>
		<tr>
			<th><?php echo __("common.my.introduction", true) ?></th>
			<td>
				<div id="introduction_ja">
					<p class="langLabel"><?php echo __('common.japanese.original', true); ?></p>
					<?php echo $form->input('introduction', array(
							'rows' => '7', 'cols' => '50', 'label' => false, 'error' => false,  'id' => 'introduction_input_ja')); ?>
				</div>
				<div id="introduction_eng">
					<p class="langLabel"><?php echo __('common.english.original', true); ?></p>
						<?php echo $form->input('introduction_en', array(
								'rows' => '7', 'cols' => '50', 'label' => false, 'error' => false, 'id' => 'introduction_input_eng')); ?>
				</div>
				<span class="weak"><?php echo __("accounts.my.introduction.condition", true) ?></span>
			</td>
		</tr>

		<?php if (!$this->data['Account']['new']): ?>
		<tr>
			<th><?php echo __("common.use.atribute.agree", true) ?></th>
			<td><?php echo $html->link(__("accounts.use.atribute.agreements", true), '/agreements/'); ?></td>
		</tr>
		<?php endif; ?>

		<?php if ($this->data['Account']['new']): ?>
			<tr>
				<th><?php echo __("common.guidelines.use", true) ?><span class="required"><?php echo __('common.form.required', true) ?></span></th>
				<td>
					<?php echo __("accounts.agreement.description", true) ?><br/><br/>
					<?php
						echo $form->input('agreement',
							array('options' => array('yes' => __("accounts.agree", true)),
							'multiple'=> 'checkbox',
							'type' => 'select',
							'label' => false,));
					?>
				</td>
			</tr>
		<?php else: ?>
	 	 	<tr>
				<th><?php echo __("accounts.unify", true) ?></th>
				<td>
					<div class="submit">
						<?php echo $html->link(__("accounts.unify.button", true), '/accounts/integration') ?>
					</div>

					<?php if (!empty($accoutEppnList)): ?>
					<div style="padding-top:20px;">
						<table class="accounts_unify">
						<tr>
							<th></th>
							<th>ePPN/ePTID</th>
						</tr>
						<?php foreach($accoutEppnList as $accountEppn): ?>
						<tr>
							<td class="weak"><?php echo $accountEppn['AccountEppn']['idp'] ?></td>
							<td class="eppn">
								<div class="weak"><?php echo $accountEppn['AccountEppn']['eppn'] ?></div>
								<div class="weak"><?php echo $accountEppn['AccountEppn']['eptid'] ?></div>
								<div class="smaller">
									<?php if (!$accountEppn['loginuser']): ?>
									<?php
										echo $html->link(__("accounts.unify.release", true),
											'/accounts/release/'.$accountEppn['AccountEppn']['id'],
											array(), 'Are you sure?', true);
									?>
									<?php endif; ?>
								</div>
							</td>
						</tr>
						<?php endforeach; ?>
						</table>
					</div>
					<?php endif; ?>
				</td>
			</tr>
		<?php endif; ?>
	</table>

	<div class="submitArea">
		<?php e($form->submit(__("common.save", true), array('class' => 'submitBtn', 'name' => 'save', 'div'=> false))); ?>

		<?php if (!$this->data['Account']['new']): ?>
			<?php e($form->submit(__("common.cancel", true), array('class' => 'resetBtn', 'name' => 'cancel', 'div'=> false))); ?>
		<?php else: ?>
			<?php e($form->submit(__("common.cancel", true), array('class' => 'resetBtn', 'name' => 'no_account_cancel', 'div'=> false))); ?>
		<?php endif; ?>

		<?php if (!$this->data['Account']['new']): ?>
			<?php e($form->submit(__("common.del", true), array('class' => 'submitBtnRed', 'name' => 'delete', 'div'=> false,
					'onClick' => "return confirm('Are you sure?', true)"))); ?>
		<?php endif; ?>

	</div>

<?php echo $form->end(); ?>

<?php if ($this->Common->isDevelopment() && $this->data['Account']['new']): ?>
<div class="submitArea">
<?php   echo $html->link('dev環境設定', '/dev/reset', array('class' => 'submitBtn')) ?>
</div>
<?php endif; ?>

        </article>

