<?php echo $this->element("aside", array('span' => 6)) ?>
<article class="col span_18">
<?php echo $this->element("article") ?>
<h3><?php echo __("top.menu.gr", true) ?></h3>
<?php echo $javascript->linkNoCache('group_template'); ?>
<?php echo $javascript->linkNoCache('group_language'); ?>
<?php echo $javascript->linkNoCache('invite'); ?>

<?php echo $form->create('Group', array('action' => 'create', 'name' => 'GroupForm', 'type' => 'file')); ?>
<?php echo $form->input('id', array('type'=>'hidden')); ?>


<table class="form">
	<tr>
		<th><?php echo __('groups.public.setting', true) ?></th>
		<td>
		<?php
			echo $form->radio('public', array(
				'1' => __("common.public", true).'<br/>',
				'0' => __("common.private", true),
			), array('legend' => false, 'default' => 0, 'class' => 'GroupPublic'));
		?>
		</td>
	</tr>
	<tr>
		<th><?php echo __('groups.question.invite', true) ?></th>
		<td>
		<?php
			echo $form->radio('inspectjoin', array(
				'0' => __("groups.answer.free.join", true).'<br/>',
				'1' => __("groups.answer.need.approval", true).'<br/>',
				'2' => __("groups.answer.limit", true).'<br/>',
			),
			array('legend' => false, 'default' => '2'));
		?>
		</td>
	</tr>
	<tr>
		<th><?php echo __('groups.question.member.public', true) ?></th>
		<td>
		<?php
			echo $form->radio('openmember', array(
				'2'=> __("groups.answer.all.public", true).'<br/>',
				'1'=> __("groups.answer.join.public", true).'<br/>',
				'0'=> __("groups.answer.none.public", true),
				),
			array('legend' => false, 'default' => '1'));
		?>
		</td>
	</tr>
	<tr>
		<th>
			<?php echo __("common.group.name", true) ?><span class="required"><?php __('common.form.required') ?></span>
		</th>
		<td>
			<?php echo $form->input('name',
							array('label' => false, 'div' => false, 'size' => 40)); ?>
		</td>
	</tr>

	<tr>
		<th>
			<?php echo __("common.group.id", true) ?><span class="required"><?php __('common.form.required') ?></span>
		</th>
		<td>
			<?php echo $form->input('group_key', array('type' => 'text', 'label' => false, 'size' => 40)); ?>
			<p><?php echo __("groups.id.condition", true) ?></p>
		</td>
	</tr>

	<tr>
		<th>
			<?php echo __("common.group.introduction", true) ?><span class="required"><?php __('common.form.required') ?></span>
		</th>
		<td>
			<?php echo $form->input('introduction', array(
					'rows' => '8', 'cols' => '55', 'label' => false)); ?>
			<p><?php echo __("groups.instroduction.condition", true) ?></p>
		</td>
	</tr>

	<tr>
		<th>
			<?php echo __("common.group.icon", true) ?>
		</th>
		<td>
			<?php echo $form->input('file', array('type' => 'file', 'label' => false)); ?>
			<div><?php echo __("common.select.icon", true) ?></div>
			<?php $iconTitles = Configure::read('group_icon_titles') ?>
			<?php foreach (Configure::read('group_icons') as $group_icon): ?>
				<div style="text-align:center;float:left;margin:6px;">
					<label>
						<?php echo $html->image(sprintf('group/%d/icon_group_%02d.png', 50, $group_icon),
							array('width' => '50px', 'title' => $iconTitles[$group_icon])); ?>
						<br />
							<input type="radio" name="data[Group][icon]" value="<?php echo h($group_icon) ?>">
					</label>
				</div>
			<?php endforeach; ?>
		</td>
	</tr>
	<tr>
		<th><?php echo __("common.use.web.service", true) ?></th>
		<td>
			<?php echo __('groups.create.description', true) ?><br /><br />
			<ul>
				<?php foreach ($spcList as $spc) : ?>
				<li>
					<?php echo $this->element('images_sp_group', array('groupid' => $spc['SpGroup']['id'], 'spcIcon' => $spc['SpGroup']['spc_icon'])) ?>
					<span class="bold"><?php echo $spc['SpGroup']['name']; ?></span>
					<div style="padding-bottom:10px;"><?php echo $spc['SpGroup']['introduction']; ?></div>
				</li>
				<?php endforeach;?>
			</ul>
		</td>
	</tr>
</table>

<table>
			<tr>
				<td class="bottom2">
					<?php echo __("manage_groups.invite.address.person", true) ?>
					<span class="required"><?php echo __("manage_groups.invite.onetime", true) ?></span>
					<?php echo $form->input('mailaddress', array('label' => false, 'rows' => '6', 'cols' => '64', 'wrap' => 'off')); ?>
					<div class="input_hosoku"><?php echo __("manage_groups.invite.address.description", true) ?></div>
					<div class="input_hosoku"><?php echo __("manage_groups.invite.break", true) ?></div>
					<div class="input_hosoku"><?php echo __("manage_groups.invite.notice.address", true) ?></div>

					<div style="padding-top:8px;"><?php echo __("manage_groups.invite.text", true) ?></div>
					<?php
						echo $form->radio('invite_lang_individual',
							array('ja'=> __("common.japanese", true)." ", 'en' => __("common.english", true)),
							array('legend'=> false, 'default' => $this->Session->read('accountLanguage') == 'ja' ? 'ja' : 'en'));
					?>
				</td>
			</tr>
			<?php $group_invite = $this->element("mygroups_member", $this->requestAction('/mygroups/member', array(
								'model' => 'Group', 'data' => $this->data['Group']
			))) ?>
			<?php if (trim($group_invite)): ?>
			<tr>
				<td class="bottom2">
					<?php echo $group_invite ?>
				</td>
			</tr>
			<?php endif; ?>
			<tr>
				<td class="bottom2">
					<?php echo __("manage_groups.invite.address.ml", true) ?>
					<span class="required"><?php echo __("manage_groups.invite.aweek", true) ?></span>
					<?php echo $form->input('mailaddress_ml', array('label' => false)); ?>
					<?php echo __("manage_groups.invite.address.ml.description", true) ?>

					<div style="padding-top:8px;"><?php echo __("manage_groups.invite.text", true) ?></div>
					<?php
						echo $form->radio('invite_lang',
							array('ja'=> __("common.japanese", true)." ", 'en' => __("common.english", true)),
							array('legend'=> false, 'default' => $this->Session->read('accountLanguage') == 'ja' ? 'ja' : 'en'));
					?>
				</td>
			</tr>
</table>

	<div class="submitArea">
		<?php e($form->submit(__("common.create", true), array('class' => 'submitBtn', 'name' => 'save', 'div'=> false))); ?>
		<?php e($form->submit(__("common.cancel", true), array('class' => 'resetBtn', 'name' => 'cancel', 'div'=> false))); ?>
	</div>

<?php echo $form->end(); ?>

		</article>

