
<h3>個人情報保護方針（ROIS）</h3>
<a href="http://www.rois.ac.jp/pdf/3-10.pdf">http://www.rois.ac.jp/pdf/3-10.pdf</a>


<h3 style="margin-top:30px;">サービス利用規約</h3>
<pre style="white-space:pre-wrap;background-color:#ffffff;margin-left:15px;">
1　ユーザーとROISの関係
1-1
ユーザーは、東京都港区南麻布4-6-7に主たる事務所の住所を持つ大学共同利用機関法人情報・システム研究機構 (これを「ROIS」といいます。) が提供する「<?php if ($_SERVER['HTTP_HOST'] == Configure::read("production.host")): ?><?php __('default.map'); ?><?php else: ?><?php __('default.test'); ?><?php endif; ?>」(これを「本サービス」といいます。) を本利用規約に従って利用するものとします。なお、本サービスの提供は、ROISの機関である国立情報学研究所(NII)によって行われます。
1-2
ROISは、本利用規約の一部を変更し、または新たに規定を追加することができるものとします。これらの変更・追加は、（本サービスのトップ画面）に表示されます。変更の通知が表示された後、初めて本サービスを利用した時点で、ユーザーは本利用規約に同意したものとみなされます。

2　本規約の使用言語
2-1
他の国のユーザーの便宜を図るために本利用規約に他の国の言語の訳文が作成される場合があります。本利用規約とその訳文の間に矛盾が生じた場合には、本利用規約が優先します。

3　ROISによる本サービスの提供
3-1
ユーザーは、ROISがユーザーに対して事前の通知を発することなく本サービスの内容を変更し、または提供を中止・終了することに同意します。ただし、中止については、中止を余儀なくさせる合理的な理由がない場合には、ROISは中止の3週間前にユーザーに中止について通知するものとします。
3-2
ユーザーは、ROISが本サービスに関してユーザーが保有するアカウントを無効にすることがあり、その結果としてユーザーから本サービスを利用できなくなることに同意します。

4　ユーザーの本サービスの利用
4-1
ユーザーは、本サービスを利用するために、ROISが求めるユーザーに関する情報を提供することに同意します。
4-2
ユーザーは、本サービスを学術的な研究目的で使用するものとし、それ以外の目的で利用をしないことに同意します。
4-3
ユーザーは、本利用規約の最後に記載する禁止行為を行わないことに同意します。
4-4
ユーザーは、本サービスのアクセスにはROISが提供するインターフェースのみを使用し、他のいかなるアクセスの手段も利用しないことに同意します。
4-5
ユーザーは、本サービスを利用する権利の譲渡または貸与を行わないことに同意します。
4-6
ユーザーは、本サービスの利用に関し、何らかの損害を被った場合であっても、ROISがその責任を負わないことに同意します。ただし、当該損害の発生に付き、ROISに重過失がある場合はこの限りではありません。
4-7
ユーザーによる本サービスの利用に関して、ユーザーまたはROISと第三者（他のユーザーを含みます）との間に紛争が生じた場合、ユーザーは、これを自己の費用と責任において処理するものとし、ROISに一切の負担をかけないものとします。

5　ユーザーのパスワード、アカウントのセキュリテイ
5-1
ユーザーは、本サービスにアクセスするために使用するパスワードを自己の責任において秘密として保持し管理しなければならないことを理解し、同意します。
5-2
ユーザーは、本サービスにアクセスするためのユーザーIDおよびパスワードの使用に関して生じる結果について、すべて自ら責任を負うことに同意します。
5-3
ユーザーは、自己の責任において管理するユーザーIDおよびパスワードについて、不正に使用され、またはそのおそれがあることに気づいたときは、すみやかにROISに通知するものとし、その後のROISの対策に協力することに同意します。

6　個人情報の取り扱い
6-1
ROISは、本サービスに関連して取得した個人情報の取り扱いについては、「情報・システム研究機構個人情報保護規程」によるものとします。
6-2
ユーザーは、自己の個人情報が前項の規程に従って取扱いを受けることに同意します。またユーザーは、ROISがユーザーに対しての事前の通知を発することなく前項の規程を変更する場合があることに同意します。

7　本サービスのコンテンツ
7-1
本規約において「本コンテンツ」とは、ユーザーが本サービスのネットワーク上にアップロードしたすべての情報を言います。ユーザーは、本コンテンツについての責任が、当該本コンテンツをアップロードした者にのみ帰属するものと理解、同意します。
7-2
ROISは、次に掲げる場合には、本コンテンツの違法性・規約違反の有無に関わらず、関連する本コンテンツについて、その全部もしくは一部の削除又は公開範囲の変更等の不利益な措置を行うことができるものとします。
(1)人（実在の人物であるか否かを問わず、漫画・アニメ等のキャラクターを含みます）の裸体（着衣の全部又は一部を欠くものをいいます）を撮影・描写した本コンテンツが投稿された場合。
(2)公的な機関又は専門家（国、地方公共団体、特定電気通信役務提供者の損害賠償責任の制限及び発信者情報の開示に関する法律のガイドラインに規定された信頼性確認団体、インターネット・ホットライン、弁護士等をいいます）から、本コンテンツについて、違法、公序良俗違反又は他人の権利を侵害する等の指摘・意見表明があった場合。
(3)権利者と称する者から、本コンテンツが自分の権利を侵害する旨の申告があった場合。ただし、権利者と称する者から、権利者であることを合理的に判断できる資料を提示され、ROISにて慎重に検討した結果、権利者であるとROISが判断した場合に限る。
7-3
ユーザーは、本サービスを利用する過程で猥褻なあるいは不快な表現を含んでいる本コンテンツに接することが有り得ることを理解し、自己の危険負担により本サービスを利用するものであることに同意します。
7-4
ユーザーは、アップロードした本コンテンツについては、自己の責任でバックアップを保管するものとします。ROISは、本サービスにおける本コンテンツの滅失・消失について責任を負いません。

8　ユーザーからのライセンス
8-1
ROISは、本コンテンツの著作権等の権利が、ユーザーに帰属するものと理解しています。
8-2
ユーザーは、本サービスの円滑な提供のために有益な変更(たとえば本コンテンツにアクセスする機器等に応じて本コンテンツが明瞭に表示されるようにするための変更)を、ROISが本コンテンツに対して加えることに同意します。

9　ユーザーとROISの関係の終了
9-1
ユーザーとROISは、2週間の期間を定めて相手方に電子メールまたは本サービスに定められた手順により通知する方法により、いつでも本サービスの利用に関する契約関係を終了することができます。
9-2
ROISは、以下のいずれかの事由が発生した場合、いつでもユーザーとの契約関係を終了することができるものとし、ユーザーは、これに同意します。
(1)    ユーザーが、本利用規約のいずれかの規定に違反した場合
(2)   ROISが、本サービスを中止した場合
(3)    ROISが、ユーザーのアカウントを無効にした場合
9-3
本利用規約が当事者間において契約として有効であった期間に生じたユーザー及びROISの権利・義務については、本利用規約の終了によって影響を受けるものではありません。

10　保証の排除
10-1
ROISは、サービスに関して、以下の事項を保証するものではありません。
(1)    本サービスの利用の過程で中断、エラーなどの不具合が生じないこと
(2)    本サービスの利用により得られた結果や情報が、真実であり、正確であり、信頼でき、有用であること
(3)    ユーザーが、本サービスの利用の過程で行ったダウンロード、保存したコンテンツ、その他通信データなどに起因してシステム、機器の破損やデータの喪失、その他の損害が生じないこと
(4)    本サービスが変更、終了されずに継続すること
(5)    本サービス上の本コンテンツが消失しないこと
(6)    本サービス上の本コンテンツが外部に提供・漏えい等されないこと
10-2
ユーザーは、前項に限定されることなく、本利用規約において明示的に保証する旨を述べている事項を除いて、ROISによって保証がなされるものではないことを理解し同意します。

11　準拠法と裁判管轄
11-1
本利用規約の解釈は、日本法に準拠するものとし、本サービスに関して発生した紛争については、東京地方裁判所を第一審の専属的合意管轄裁判所とすることに同意します。

禁止事項
ユーザーは、本サービスの利用にあたり、次に掲げる行為を行ってはならないものとします。禁止事項に違反した場合には、アカウント抹消、利用停止、本コンテンツの全部もしくは一部の削除・送信防止等の不利益な措置を採ることがあります。
(1)ROISもしくは他者の著作権、商標権等の知的財産権を侵害する行為、又は侵害する恐れのある行為。
(2)ROISもしくは他者の財産、プライバシーもしくは肖像権を侵害する行為、又は侵害する恐れのある行為。
(3)ROISもしくは他者を不当に差別もしくは誹謗中傷し、他者への不当な差別を助長し、又はその名誉もしくは信用を毀損する行為。
(4)自分以外の人物を名乗ったり、代表権や代理権がないにもかかわらずあるものと装ったり、資格・経験がないにもかかわらずあるものと装ったり、又は他の人物や組織と提携、協力関係にあると偽って本サービスを利用する行為。
(5)詐欺、規制薬物の濫用、児童売買春、預貯金口座及び携帯電話の違法な売買等の犯罪に結びつく、又は結びつく恐れのある行為。
(6)わいせつ、児童ポルノ又は児童虐待に相当する本コンテンツ（以下、本号において｢これらの情報｣といいます）について、次に掲げるいずれかの行為を行うこと。
(ア)これらの情報を投稿又は表示する行為。
(イ)これらの情報を収録した媒体を販売する行為。
(ウ)これらの情報を収録した媒体の送信、表示、販売を想起させる広告を投稿又は表示する行為。
(7)面識のない異性との性交、わいせつな行為、出会い等を主な目的として利用する行為。
(8)違法な賭博・ギャンブルを行わせ、又は違法な賭博・ギャンブルへの参加を勧誘する行為。
(9)違法行為（けん銃等の譲渡、爆発物の製造、児童ポルノの提供、公文書偽造、殺人、脅迫等）を請負、仲介し、又は誘引する行為。
(10)他人を自殺に誘引又は勧誘する行為。
(11)次に掲げる内容の本コンテンツを、本サービス内の投稿可能な箇所に投稿し、又は他のユーザーにメッセージで送信する行為。
(ア)商業用の広告、宣伝又は勧誘を目的とする本コンテンツ。ただし、ROISが別に認めたものを除く。
(イ)アフィリエイトのリンクを含む本コンテンツ。
(ウ)無限連鎖講（ネズミ講）、チェーンメール、MLM、リードメール等他人を勧誘する内容の本コンテンツ。
(エ)金融機関等の口座番号を含む本コンテンツ。
(オ)アダルトサイト、ワンクリック詐欺サイト、ウィルス等の有害なコンピュータプログラム等を流布させることを目的とするサイト等ROISが不適切と判断するサイトに誘導する本コンテンツ（単にリンクを張る行為を含む。）。
(カ)グロテスクな画像等の他のユーザーが不快を感じる可能性が高いとROISが判断するコンテンツ。
(キ)その他ROISが不適切と判断する本コンテンツ。
(12)他のユーザーに対して、無差別にメッセージを送信する行為。
(13)次に掲げるスパム行為を行うこと。
(ア)スパム投稿・スパムメッセージ　一人又は複数のユーザーが、本サービス内の投稿可能な箇所に、同一又は類似の文章を投稿し、又はメッセージで送信する行為。
(イ)スパムワード　一人又は複数のユーザーが、本サービス内の投稿可能な箇所に、当該語句を投稿する行為。
(ウ)スパムURL　一人又は複数のユーザーが、本サービス内の投稿可能な箇所に、同一のURLを投稿し、又はメッセージで送信する行為。
(エ)その他ROISがスパムと判断する行為。
(14)複数人が1つのアカウントを共同して保有する行為。ただし、ROISが別に認めたものを除く。
(15)他のユーザーのIDを使用する行為。
(16)ROISの設備に蓄積された情報を不正に書き換え、又は消去する行為。
(17)ウィルス等の有害なコンピュータプログラム等を送信又は掲載する行為。
(18)ROIS又は他者のサーバーに負担をかける行為、もしくは、本サービスの運営やネットワーク・システムに支障を与える行為、又はこれらの恐れのある行為。
(19)その行為が前各号のいずれかに該当することを知りつつ、その行為を助長する目的でリンクを貼る行為。
(20)法令、公序良俗又は本利用規約もしくはその他の利用規約等に違反し、又は他者の権利を侵害するとROISが判断する行為。
(21)その他、ROISが不適切と判断する行為。

（2011年8月24日　作成）
（2011年8月26日　修正）
</pre>
