<?php echo $javascript->link('jquery.balloon.min'); ?>

<style type="text/css">
<!--
#sortableLeft, #sortableRight, #sortableCenter {
	list-style-type: none;
	margin: 0 1px 0 0;
	padding: 1px;
	border : 1px solid #666666;
	min-width: 100px;
	min-height:100px;
	border-style: none;
}
#sortableLeft li, #sortableRight li, #sortableCenter li{
	cursor: move;
	margin: 0 2px 15px 2px;
	padding: 5px;
	background-color: #fff;
	box-shadow: 1px 1px 1px rgba(0,0,0,0.2);
	border-radius: 8px;
}

.sortableLi {
	border: solid 2px #E9AAAA;
}
.sortableLi:hover{
	background: none repeat scroll 0 0 #F5F5F5 !important;
}

.sortablePlaceholder {
    border : 2px solid #E9AAAA;
    font-weight: bold;
    font-size: 45px;
    background-color: lightblue;
    height: 80px;
}

#sortableLeft li div:child, #sortableRight li div:child, , #sortableCenter li div:child {
	text-align: center;
	margin-right: 20px;
}
.change_show {
	height: 20px;
	background-color: #e6e6fa
}
.group_show {
/*	display: block; */
	text-decoration: none;
	padding-left: 10px;
	padding-right: 10px;
}
.service_name {
	position: relative;
	bottom: 10px;
	font-size: 24px;
	margin-left: 5px;
	color: black;
}
-->
</style>


<!-- ツールチップ -->
<script type="text/javascript">
$(function() {
	$('.tips').balloon({ position: "bottom right", showDuration: 800 });
});
</script>


<?php echo $html->script('jquery.ui.touch-punch.min.js') ?>
<script type="text/javascript">
	$(function() {
		$("#sortableLeft, #sortableRight, #sortableCenter").sortable({
			connectWith: 'ul',
			placeholder: 'sortablePlaceholder'
		}).disableSelection();

		<?php $guestMode = $this->Session->read('guestMode'); ?>
		<?php if (!$guestMode): ?>
		// 並び順に変化あり
		$("#sortableLeft, #sortableRight, #sortableCenter").bind('sortupdate', function(event, ui) {
			var resultLeft = $("#sortableLeft").sortable("toArray");
			$("#resultLeft").val(resultLeft);
			var leftData = $("#resultLeft").serialize();
			var resultRight = $("#sortableRight").sortable("toArray");
			$("#resultRight").val(resultRight);
			var rightData = $("#resultRight").serialize();
			var resultCenter = $("#sortableCenter").sortable("toArray");
			$("#resultCenter").val(resultCenter);
			var centerData = $("#resultCenter").serialize();
			$.ajax({
				type: 'POST',
				url: '<?php echo $html->url('/internal_api/top_service_sort') ?>',
				data: leftData + '&' +  rightData + '&' + centerData
			}).done(function() {

			});

			$("#SpcSortTypeManual").attr('checked', 'checked');
		});
		<?php endif; ?>
	});
</script>


<script>
<!--
// グループの表示／非表示
jQuery(function() {
    jQuery(".groups").hide();
    jQuery('.group_show').click( function() {
		var toggleId = this.id.replace("gr_show", "groups");
		jQuery("#" + toggleId).toggle( 'blind', '', 300 );
    });
} );
// -->
</script>

<h2>
	<?php echo __('top.title', true) ?>
	<span style="font-size:70%;">（縦３列パターン）</span>
</h2>


<?php if (!empty($leftResultList) || !empty($centerResultList) || !empty($rightResultList)): ?>
	<div style="margin-left:20px;"><?php echo __('top.idp.description', true) ?></div>
<?php else: ?>
	<div style="margin-left:20px;"><?php echo __('top.idp.nothing.sp', true) ?></div>
<?php endif; ?>


<?php echo $form->create('Top', array('action' => 'save')); ?>
<div class="row" style="margin-top:10px;margin-left:20px;padding-bottom:50px;">
	<!-- Left -->
	<div class="col span_8">
	<ul id="sortableLeft" class="droptrue" >
		<?php foreach ($leftResultList as $spcid => $result): ?>
		<li id="<?php e($spcid) ?>" class="sortableLi">
			<div style="margin-top: 5px;text-align:center;margin-right:20px;">
				<?php echo $this->element('images_sp_group',
					array('groupid' => $spcid, 'width' => 48, 'height' => 48)) ?>

				<?php if (!empty($result['serviceUrl'])): ?>
					<?php echo $html->link($result['serviceName'], $result['serviceUrl'],
							array('target' => '_blank', 'class' => 'service_name', 'style' => 'color:black;')); ?>
				<?php else: ?>
					<span class="service_name"><?php e($result['serviceName']); ?></span>
				<?php endif; ?>
			</div>

			<?php if ($result['ismemberof']): ?>
			<div class="change_show">
				<a id="<?php e($spcid) ?>_gr_show" class="group_show"><?php echo __("top.group.show", true) ?></a>
			</div>
			<?php else: ?>
			<div style="height:20px;background-color:#f5f5f5;"></div>
			<?php endif; ?>

			<?php if ($result['ismemberof']): ?>
			<div id="<?php e($spcid) ?>_groups" class="groups" style="background-color:#FFFFB5;">
				<?php foreach($result as $groupid => $service): ?>
					<?php
						if ($groupid === 'ismemberof' || $groupid === 'serviceName'
							|| $groupid === 'serviceUrl') {
							continue;
						}
					?>
					<?php
						$group_name = $service['group_name'];
						$group_image = $this->element('images_group', array('size' => 20, 'groupid' => $groupid, 'groupName' => $group_name));
						$title = sprintf('%s%s', $group_image, h($group_name));
					?>
					<div class="grpName " style="padding:4px 4px 4px 10px;">
						<?php echo $html->link($title, $service['url'], array('escape' => false, 'target' => '_blank')); ?>
					</div>
				<?php endforeach; ?>
			</div>
			<?php endif; ?>
		</li>
		<?php endforeach; ?>
	</ul>
	</div>

	<!-- Center -->
	<div class="col span_8">
	<ul id="sortableCenter" class="droptrue">
		<?php foreach ($centerResultList as $spcid => $result): ?>
		<li id="<?php e($spcid) ?>" class="sortableLi">
			<div style="margin-top: 5px;text-align:center;margin-right:20px;">
				<?php echo $this->element('images_sp_group',
					array('groupid' => $spcid, 'width' => 48, 'height' => 48)) ?>

				<?php if (!empty($result['serviceUrl'])): ?>
					<?php echo $html->link($result['serviceName'], $result['serviceUrl'],
							array('target' => '_blank', 'class' => 'service_name', 'style' => 'color:black;')); ?>
				<?php else: ?>
					<span class="service_name"><?php e($result['serviceName']); ?></span>
				<?php endif; ?>
			</div>

			<?php if ($result['ismemberof']): ?>
			<div class="change_show">
				<a id="<?php e($spcid) ?>_gr_show" class="group_show"><?php echo __("top.group.show", true) ?></a>
			</div>
			<?php else: ?>
			<div style="height:20px;background-color:#f5f5f5;"></div>
			<?php endif; ?>

			<?php if ($result['ismemberof']): ?>
			<div id="<?php e($spcid) ?>_groups" class="groups" style="background-color:#FFFFB5;">
				<?php foreach($result as $groupid => $service): ?>
					<?php
						if ($groupid === 'ismemberof' || $groupid === 'serviceName'
							|| $groupid === 'serviceUrl') {
							continue;
						}
					?>
					<?php
						$group_name = $service['group_name'];
						$group_image = $this->element('images_group', array('size' => 20, 'groupid' => $groupid, 'groupName' => $group_name));
						$title = sprintf('%s%s', $group_image, h($group_name));
					?>
					<div class="grpName " style="padding:4px 4px 4px 10px;">
						<?php echo $html->link($title, $service['url'], array('escape' => false, 'target' => '_blank')); ?>
					</div>
				<?php endforeach; ?>
			</div>
			<?php endif; ?>
		</li>
		<?php endforeach; ?>
	</ul>
	</div>

	<!-- Right -->
	<div class="col span_8">
	<ul id="sortableRight" class="droptrue">
		<?php foreach ($rightResultList as $spcid => $result): ?>
		<li id="<?php e($spcid) ?>" class="sortableLi">
			<div style="margin-top: 5px;text-align:center;margin-right:20px;">
				<?php echo $this->element('images_sp_group',
					array('groupid' => $spcid, 'width' => 48, 'height' => 48)) ?>

				<?php if (!empty($result['serviceUrl'])): ?>
					<?php echo $html->link($result['serviceName'], $result['serviceUrl'],
							array('target' => '_blank', 'class' => 'service_name', 'style' => 'color:black;')); ?>
				<?php else: ?>
					<span class="service_name"><?php e($result['serviceName']); ?></span>
				<?php endif; ?>
			</div>

			<?php if ($result['ismemberof']): ?>
			<div class="change_show">
				<a id="<?php e($spcid) ?>_gr_show" class="group_show"><?php echo __("top.group.show", true) ?></a>
			</div>
			<?php else: ?>
			<div style="height:20px;background-color:#f5f5f5;"></div>
			<?php endif; ?>

			<?php if ($result['ismemberof']): ?>
			<div id="<?php e($spcid) ?>_groups" class="groups" style="background-color:#FFFFB5;">
				<?php foreach($result as $groupid => $service): ?>
					<?php
						if ($groupid === 'ismemberof' || $groupid === 'serviceName'
							|| $groupid === 'serviceUrl') {
							continue;
						}
					?>
					<?php
						$group_name = $service['group_name'];
						$group_image = $this->element('images_group', array('size' => 20, 'groupid' => $groupid, 'groupName' => $group_name));
						$title = sprintf('%s%s', $group_image, h($group_name));
					?>
					<div class="grpName " style="padding:4px 4px 4px 10px;">
						<?php echo $html->link($title, $service['url'], array('escape' => false, 'target' => '_blank')); ?>
					</div>
				<?php endforeach; ?>
			</div>
			<?php endif; ?>
		</li>
		<?php endforeach; ?>
	</ul>
	</div>
</div>
<input type="hidden" id="resultLeft" name="resultLeft" />
<input type="hidden" id="resultRight" name="resultRight" />
<input type="hidden" id="resultCenter" name="resultCenter" />


<?php echo $form->end(); ?>

