
$(document).ready(function() {
	if ($('#defaultLang').val() == 'ja') {
		$('#templateButtom').val( $('#english').val() );
	} else {
		$('#templateButtom').val( $('#japanese').val() );
	}

	$('.select_group').click(function() {
		$(".group_list").slideToggle('normal');
		return false;
	});
	if ($('.group_list input:checked').size() > 0) {
		$('.group_list').show();
	}

	var forcible_admission = function() {
		var disabled = $(this).attr('checked') != 'checked';
		$('.group_list .empty input').each(function() {
			this.disabled = disabled;
		});
	}
	$('#forcible_admission').click(forcible_admission);
	$('#forcible_admission:checked').each(forcible_admission);


	// init select
	$("#groupList").val("");

	// show group members
	$("#relfect").hide();
	$("#groupList").change( function() {
		if (!$(this).val()) {
			$("#members div").remove();
			$("#members input").remove();
			$("#relfect").hide();
		}

		$.ajax({
			url: "/map/internal_api/members/" + $(this).val() + "/" + $("#groupid").val() + "/" + $('#defaultLang').val(),
	        async: false,
			success: function(json) {
				var jsonObj = JSON.parse(json);
				var html = "";
				var idList = "";
				var nameList = "";
				if (jsonObj.length > 0) {
					html = '<div class="checkbox" style="width:510px;border-bottom:1px #1C79C6 solid;">'
							+ '<input type="checkbox" id="allcheck" value="" onclick="checkAll();" />'
							+ '<label><span class="weak">all</span></label></div>';
				} else {
					html = '<div>No members</div><br/>';
				}
				for (var i = 0; i < jsonObj.length; i++) {
					html = html + '<div class="checkbox">'
						+ '<input type="checkbox" class="addmember" name="data[Group][addMember][]" value="' + jsonObj[i].Account.id + '" id="addMember' + jsonObj[i].Account.id + '" />'
						+ '<label for="addMember' + jsonObj[i].Account.id + '" id="addMemberName' + jsonObj[i].Account.id + '">' + jsonObj[i].Account.name + ' (' + jsonObj[i].Account.university + ')</label></div>';
					if (i != 0) {
						idList = idList + "	";
						nameList = nameList + "	";
					}
					idList = idList + jsonObj[i].Account.id;
					nameList = nameList + jsonObj[i].Account.name + ' (' + jsonObj[i].Account.university + ')';
				}

				$("#idList").val(idList);
				$("#nameList").val(nameList);
				$("#members div").remove();
				$("#members input").remove();
				$("#members br").remove();
				$("#members").append(html);
				$("#relfect").show();
//				$("#allcheck").attr('checked', false);
			}
	   });
	});

});

// click delete link
function deleteMember(id) {
	$("#member" + id + " div").remove();

	addedIdList = $("#addedIdList").val().split("	");
	addedNameList = $("#addedNameList").val().split("	");
	if (addedIdList) {
		var idValue = "";
		var nameValue = "";
		for (var i = 0; i < addedIdList.length; i++) {
			if (id == addedIdList[i]) {
				continue;
			}
			if (idValue.length != 0) {
				idValue = idValue + "	";
				nameValue = nameValue + "	";
			}
			idValue = idValue + addedIdList[i];
			nameValue = nameValue + addedNameList[i];
		}
		$("#addedIdList").val(idValue);
		$("#addedNameList").val(nameValue);
	}
}

function checkAll() {
	checked = $('#allcheck').attr('checked') == "checked";
	$("input.addmember").attr('checked', checked);
}

function changeTmplate() {
	if ($('#templateButtom').val() == $('#japanese').val()) {
		$('#templateButtom').val( $('#english').val() );
		$('#introduction').val( $('#jaTemplate').val() );
		$('#defaultLang').val('ja');
	} else {
		$('#templateButtom').val( $('#japanese').val() );
		$('#introduction').val( $('#engTemplate').val() );
		$('#defaultLang').val('eng');
	}
};

