/* 初期データ */


/* 組織 */
/* 運用フェデレーションにない組織名 */
insert into organizations(name,name_en,valid_util,created,modified,display_name,display_name_en,entityid)
 values('OpenIdP', 'OpenIdP', null, NOW(), NOW(), 'OpenIdP', 'OpenIdP', 'https://openidp.nii.ac.jp/idp/shibboleth');
insert into organizations(name,name_en,valid_util,created,modified,display_name,display_name_en,entityid)
 values('NII Developer IdP', 'NII Developer IdP', null, NOW(), NOW(), 'NII Developer IdP', 'NII Developer IdP', 'https://idp.gakunin.nii.ac.jp/developer/shibboleth');
insert into organizations(name,name_en,valid_util,created,modified,display_name,display_name_en,entityid)
 values('Kanazawa University 01', 'Kanazawa University 01', null, NOW(), NOW(), 'Kanazawa University 01', 'Kanazawa University 01', 'https://s-manager.db.kanazawa-u.ac.jp/idp/shibboleth');
insert into organizations(name,name_en,valid_util,created,modified,display_name,display_name_en,entityid)
 values('Kanazawa University 02', 'Kanazawa University 02', null, NOW(), NOW(), 'Kanazawa University 02', 'Kanazawa University 02', 'https://uinfo.el.kanazawa-u.ac.jp/idp/shibboleth');
insert into organizations(name,name_en,valid_util,created,modified,display_name,display_name_en,entityid)
 values('Kanazawa University 03', 'Kanazawa University 03', null, NOW(), NOW(), 'Kanazawa University 03', 'Kanazawa University 03', 'https://idp01.db.kanazawa-u.ac.jp/idp/shibboleth');
insert into organizations(name,name_en,valid_util,created,modified,display_name,display_name_en,entityid)
 values('ebook-idp', 'ebook-idp', null, NOW(), NOW(), 'ebook-idp', 'ebook-idp', 'https://ebook-idp.nii.ac.jp/idp/shibboleth');
update organizations set federation = 1;
update organizations set federation = 0 where name_en in('OpenIdP', 'NII Developer IdP', 'Kanazawa University 01', 'Kanazawa University 02', 'Kanazawa University 03', 'ebook-idp');


/* SP管理者 */
insert into sp_administrators(eppn, host_name, created) values('akagi.nii@nii.ac.jp', 'test-map.gakunin.nii.ac.jp', NOW());
insert into sp_administrators(eppn, host_name, created) values('ishigami.nii@nii.ac.jp', 'test-map.gakunin.nii.ac.jp', NOW());
insert into sp_administrators(eppn, host_name, created) values('takeshi001@nii.ac.jp', 'test-map.gakunin.nii.ac.jp', NOW());


/* スーパーグループ */
insert into groups(name, group_key, introduction, active, public, created, modified) values('super', 'super', 'システム管理者のグループです。他グループを操作する権限とテーブル操作画面のアクセス権限を持っています。', 2, 0, NOW(), NOW());
update groups set id = 1 where name = 'super';
/*
insert into mygroups(eppn, groupid, admin, created, modified) values('akagi.nii@nii.ac.jp', 1, 1, NOW(), NOW());
insert into mygroups(eppn, groupid, admin, created, modified) values('atware.akagi@idp.gakunin.nii.ac.jp', 1, 1, NOW(), NOW());
insert into mygroups(eppn, groupid, admin, created, modified) values('takeshi@gakunin.nii.ac.jp', 1, 1, NOW(), NOW());

insert into mygroups(account_id,groupid,created,modified,admin) values(17, 1, NOW(), NOW(), 1);
insert into mygroups(account_id,groupid,created,modified,admin) values(138, 1, NOW(), NOW(), 1);
*/


/* SPコネクタの種類 */
/* 開発環境での設定 */
/* 新トップページの色分けを行う。まだ案なので、今のところ、LibraryとArticleのみ */
insert into spconnector_kinds(spcid,kind,color,created,modified) values(79, 'Library', '#008000', NOW(), NOW());
insert into spconnector_kinds(spcid,kind,color,created,modified) values(295, 'Article', '#0000ff', NOW(), NOW());



